﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="GridWindow2.aspx.vb" Inherits="WisejWebDesktop_VB.GridWindow2" %>

<%@ Register Assembly="DevExpress.Web.v24.1, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Xpo.v24.1, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Xpo" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.v24.1, Version=24.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Data.Linq" TagPrefix="dx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">

    <title></title>

    <script type="text/javascript">

        //Pop the Layouts window to show available Layouts...
        function OnViewButtonClick(s, e) {
            popupLayouts.SetHeaderText("Custom Layouts");
            popupLayouts.Show();
        }

        //Apply the selected layout using the Grid Callback...
        function GetCustomButtonClick(s, e) {
            if (e.buttonID = "ApplyLayout") {
                LayoutsGrid.GetRowValues(LayoutsGrid.GetFocusedRowIndex(), 'LayoutData', SendToGrid);
            }
        }

        // Send Layout Data from selected layout row to main grid...
        function SendToGrid(Value) {
            gridListOfPayments.PerformCallback("LoadLayout");
        }

        function TestFunction(Value) {
            alert(Value);
        }

        //Pop the Export options for the Grid...
        function OnShowExportButtonClick(s, e) {
            ExportPopup.SetHeaderText("Export Options");
            ExportPopup.Show();
        }
        function SelectAllFields(s, e) {
            chkFieldNames.SelectAll();
            gridListOfPayments.PerformCallback("SelectAll");
        }
        function UnSelectAllFields(s, e) {
            chkFieldNames.UnselectAll();
            gridListOfPayments.PerformCallback("UnSelectAll");
        }
        function OnRowDblClick(s, e) {
            //var gridIndex = gridListOfPayments.GetFocusedRowIndex();
            s.StartEditRow(s.GetFocusedRowIndex());
            //gridListOfPayments.StartEditRow(gridIndex);
        }

    </script>

    <style type="text/css">
        
        .dxgvControl,
        .dxgvDisabled {
            border: 1px Solid #9F9F9F;
            font: 12px Tahoma, Geneva, sans-serif;
            background-color: #F2F2F2;
            color: Black;
            cursor: default;
        }

        .dxgvTable {
            -webkit-tap-highlight-color: rgba(0,0,0,0);
        }

        .dxgvTable {
            background-color: White;
            border-width: 0;
            border-collapse: separate !important;
            overflow: hidden;
        }

        .dxgvHeader {
            cursor: pointer;
            white-space: nowrap;
            padding: 4px 6px;
            border: 1px Solid #9F9F9F;
            background-color: #DCDCDC;
            overflow: hidden;
            font-weight: normal;
            text-align: left;
        }

        .dxgvTable .dxgvHEC {
            background-color: White;
            border-width: 0;
            overflow: hidden;
        }

        .dxgvCommandColumn {
            padding: 2px;
            white-space: nowrap;
        }

        </style>

</head>
<body>
    <form id="form1" runat="server">
        <table>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxPopupControl ID="Popup1" runat="server" AllowDragging="True" AllowResize="True" ClientInstanceName="Popup1" Height="700px" ShowFooter="True" ShowPageScrollbarWhenModal="True" Width="100%" Theme="Aqua" AppearAfter="100" FooterText="" Style="margin-left: 0px" Modal="True" PopupAction="None" CloseAction="CloseButton" ShowOnPageLoad="True" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" HeaderText="" AutoUpdatePosition="True" EnableClientSideAPI="True" ShowMaximizeButton="True" ShowRefreshButton="True">
                        <HeaderImage IconID="reports_groupheader_32x32">
                        </HeaderImage>
                        <ContentCollection>
                            <dx:PopupControlContentControl runat="server">
                                <dx:ASPxSplitter ID="ASPxSplitter" runat="server" EnableTheming="True" Theme="Aqua" Height="100%">
                                    <Panes>
                                        <dx:SplitterPane MaxSize="125px" Name="LeftPanel" ShowCollapseBackwardButton="True" ShowCollapseForwardButton="True" Size="125px" MinSize="125px">
                                            <PaneStyle HorizontalAlign="left" Wrap="False">
                                            </PaneStyle>
                                            <ContentCollection>
                                                <dx:SplitterContentControl runat="server">
                                                    <dx:ASPxPanel ID="ASPxPanel4" runat="server" Width="100%" EnableTheming="True" Theme="BlackGlass" Height="100%">
                                                        <PanelCollection>
                                                            <dx:PanelContent runat="server">
                                                                <table align="center">
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td align="center">&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="ASPxButton2" runat="server" EnableTheming="True" HorizontalAlign="Center" ImagePosition="Top" Text="Export" Theme="Aqua" AutoPostBack="False" Height="59px" Width="66px">
                                                                                <ClientSideEvents Click="function(s, e) { ExportPopup.Show();}
" />
                                                                                <Image IconID="export_export_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="ASPxButton5" runat="server" AutoPostBack="False" EnableTheming="True" Height="59px" HorizontalAlign="Center" ImagePosition="Top" Text="Print" Theme="Aqua" Width="66px">
                                                                                <Image IconID="print_print_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td align="center">&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="btnThemes" runat="server" EnableTheming="True" HorizontalAlign="Center" ImagePosition="Top" Text="Layouts" Theme="Aqua" AutoPostBack="False" ClientInstanceName="btnThemes" EnableClientSideAPI="True" Height="59px" Width="66px">
                                                                                <ClientSideEvents Click="function(s, e) { OnViewButtonClick();}" />
                                                                                <Image IconID="navigation_documentmap_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="btnSettings" runat="server" AutoPostBack="False" ClientInstanceName="Settings" EnableTheming="True" HorizontalAlign="Center" ImagePosition="Top" Text="Defaults" Theme="Aqua" Height="59px" Width="66px">
                                                                                <Image IconID="programming_ide_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="btnSettings0" runat="server" AutoPostBack="False" ClientInstanceName="Settings" EnableTheming="True" Height="59px" HorizontalAlign="Center" ImagePosition="Top" Text="Admin" Theme="Aqua" Width="66px">
                                                                                <Image IconID="businessobjects_bouser_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="ASPxButton3" runat="server" AutoPostBack="False" Height="59px" HorizontalAlign="Center" ImagePosition="Top" Text="Charts" Theme="Aqua" Width="66px">
                                                                                <Image IconID="chart_pielabelsdatalabels_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="ASPxButton4" runat="server" AutoPostBack="False" EnableTheming="True" HorizontalAlign="Center" ImagePosition="Top" Text="Reports" Theme="Aqua">
                                                                                <Image IconID="toolboxitems_richtext_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="ASPxButton6" runat="server" AutoPostBack="False" EnableTheming="True" HorizontalAlign="Center" ImagePosition="Top" Text="Themes" Theme="Aqua">
                                                                                <Image IconID="appearance_colormixer_32x32">
                                                                                </Image>
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                </table>
                                                            </dx:PanelContent>
                                                        </PanelCollection>
                                                    </dx:ASPxPanel>
                                                </dx:SplitterContentControl>
                                            </ContentCollection>
                                        </dx:SplitterPane>
                                        <dx:SplitterPane Name="RightPanel">
                                            <ContentCollection>
                                                <dx:SplitterContentControl runat="server">
                                                    <dx:ASPxPanel ID="ASPxPanel5" runat="server" Height="100%" Width="100%" Theme="BlackGlass">
                                                        <PanelCollection>
                                                            <dx:PanelContent runat="server">
                                                                <dx:ASPxGridView ID="gridListOfPayments" runat="server" ClientInstanceName="gridListOfPayments" Theme="Aqua" Width="100%" KeyFieldName="pay_id">
                                                                    <SettingsContextMenu Enabled="True" EnableFooterMenu="True" EnableColumnMenu="True" EnableGroupFooterMenu="True" EnableGroupPanelMenu="True">
                                                                    </SettingsContextMenu>
                                                                    <SettingsAdaptivity>
                                                                        <AdaptiveDetailLayoutProperties>
                                                                            <SettingsItems Width="75px" />
                                                                        </AdaptiveDetailLayoutProperties>
                                                                    </SettingsAdaptivity>
                                                                    <SettingsCustomizationDialog Enabled="True" />
                                                                    <SettingsPager Mode="ShowAllRecords" PageSize="500">
                                                                    </SettingsPager>
                                                                    <SettingsEditing Mode="PopupEditForm" NewItemRowPosition="Bottom">
                                                                    </SettingsEditing>
                                                                    <Settings EnableFilterControlPopupMenuScrolling="True" ShowFilterBar="Visible" ShowFilterRow="True" ShowFilterRowMenu="True" ShowFooter="True" ShowGroupedColumns="True" ShowGroupFooter="VisibleAlways" ShowGroupPanel="True" ShowHeaderFilterButton="True" ShowStatusBar="Visible" ShowTitlePanel="True" VerticalScrollableHeight="430" ColumnMinWidth="50" VerticalScrollBarMode="Visible" HorizontalScrollBarMode="Visible" />
                                                                    <SettingsBehavior AllowSelectByRowClick="True" EnableCustomizationWindow="True" AllowFocusedRow="True" />
                                                                    <SettingsResizing ColumnResizeMode="Control" />
                                                                    <SettingsCommandButton>
                                                                        <NewButton ButtonType="Image">
                                                                            <Image IconID="actions_additem_16x16">
                                                                            </Image>
                                                                        </NewButton>
                                                                        <EditButton ButtonType="Image">
                                                                            <Image IconID="edit_edit_16x16">
                                                                            </Image>
                                                                        </EditButton>
                                                                        <DeleteButton ButtonType="Image">
                                                                            <Image IconID="actions_close_16x16">
                                                                            </Image>
                                                                        </DeleteButton>
                                                                        <SearchPanelApplyButton ButtonType="Button">
                                                                        </SearchPanelApplyButton>
                                                                        <SearchPanelClearButton ButtonType="Button">
                                                                        </SearchPanelClearButton>
                                                                    </SettingsCommandButton>

                                                                    <SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />

                                                                    <SettingsPopup>
                                                                        <EditForm AllowResize="True" HorizontalAlign="WindowCenter" ShowShadow="True" VerticalAlign="WindowCenter" Width="900px">
                                                                        </EditForm>

                                                                        <HeaderFilter MinHeight="140px"></HeaderFilter>

                                                                        <FilterControl AllowResize="True" ShowShadow="True">
                                                                        </FilterControl>
                                                                    </SettingsPopup>
                                                                    <SettingsSearchPanel ShowApplyButton="True" ShowClearButton="True" Visible="True" />
                                                                    <SettingsText PopupEditFormCaption="Row Information" />

                                                                    <EditFormLayoutProperties ColCount="1"></EditFormLayoutProperties>
                                                                    <Columns>
                                                                        <dx:GridViewDataDateColumn Caption="Check Issue Date" FieldName="chk_issue_date" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1" Width="140px">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Policy Number" FieldName="policy_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2" Width="140px">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Claim Number" FieldName="clm_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="3" Width="140px">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Payee Name" FieldName="chk_payee_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="4" Width="400px">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check Payment Type" FieldName="chk_payment_type" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="5">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="IA Code" FieldName="ia_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="6">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="IA Description" FieldName="ia_description" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="7">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check Amount" FieldName="chk_amount" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="8" Name="chk_amount">
                                                                            <PropertiesTextEdit DisplayFormatInEditMode="True" DisplayFormatString="{0:n2}">
                                                                                <MaskSettings Mask="$&lt;0..99999g&gt;.&lt;00..99&gt;" />
                                                                            </PropertiesTextEdit>
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Reverse Amount" FieldName="rvr_amount" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="9">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Received Amount" FieldName="rcv_amount" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="10">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check Number" FieldName="chk_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="12">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Payment Type" FieldName="payment_type" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="13">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Member Code" FieldName="mbr_naic_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="14">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Member Name" FieldName="mbr_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="15">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="SF Code" FieldName="sf_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="16">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="SF Name" FieldName="sf_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="17">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Receive Type" FieldName="rcv_type" ShowInCustomizationForm="True" Visible="False" VisibleIndex="18">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Receive Category" FieldName="rcv_category" ShowInCustomizationForm="True" Visible="False" VisibleIndex="19">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Insolvency Code" FieldName="mbr_insolv_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="20">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmia_code" ShowInCustomizationForm="True" Visible="False" VisibleIndex="21">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmlookup_code" ShowInCustomizationForm="True" Visible="False" VisibleIndex="22">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmyear_of_loss" ShowInCustomizationForm="True" Visible="False" VisibleIndex="23">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataDateColumn FieldName="parmstartdate" ShowInCustomizationForm="True" Visible="False" VisibleIndex="24">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataDateColumn FieldName="parmenddate" ShowInCustomizationForm="True" Visible="False" VisibleIndex="25">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmloi_number" ShowInCustomizationForm="True" Visible="False" VisibleIndex="26">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmpolicy_number" ShowInCustomizationForm="True" Visible="False" VisibleIndex="27">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmuds_code" ShowInCustomizationForm="True" Visible="False" VisibleIndex="28">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmagent" ShowInCustomizationForm="True" Visible="False" VisibleIndex="29">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmtax_number" ShowInCustomizationForm="True" Visible="False" VisibleIndex="30">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmtax_name" ShowInCustomizationForm="True" Visible="False" VisibleIndex="31">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmstate_fund" ShowInCustomizationForm="True" Visible="False" VisibleIndex="32">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmnaic_code" ShowInCustomizationForm="True" Visible="False" VisibleIndex="33">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmhandler" ShowInCustomizationForm="True" Visible="False" VisibleIndex="34">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="parmtotals_only" ShowInCustomizationForm="True" Visible="False" VisibleIndex="35">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Type" FieldName="type" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="36">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Assigned To" FieldName="assigned_to" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="37">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataDateColumn Caption="Claim Loss Date" FieldName="clm_date_loss" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="38">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="clm_lookup_code_1" ShowInCustomizationForm="True" Visible="False" VisibleIndex="39">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="clm_lookup_code_2" ShowInCustomizationForm="True" Visible="False" VisibleIndex="40">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="clm_lookup_code_3" ShowInCustomizationForm="True" Visible="False" VisibleIndex="41">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="clm_lookup_code_4" ShowInCustomizationForm="True" Visible="False" VisibleIndex="42">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn FieldName="clm_lookup_code_5" ShowInCustomizationForm="True" Visible="False" VisibleIndex="43">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Tax Number" FieldName="prv_tax_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="44">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="First Name" FieldName="prv_first_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="45">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Last Name" FieldName="prv_last_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="46">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Company Name" FieldName="prv_company_name" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="47">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="LOI Number" FieldName="loi_number" ReadOnly="True" ShowInCustomizationForm="True" Visible="False" VisibleIndex="48">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="UDS Code" FieldName="uds_code" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="49">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Agent ID" FieldName="agt_id" ReadOnly="True" ShowInCustomizationForm="True" Visible="False" VisibleIndex="50">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check Status" FieldName="chk_status" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="51">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="GFMS Number" FieldName="gfms_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="52">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check ID" FieldName="chk_id" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="53">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Pay Amount" FieldName="pay_amount" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="54">
                                                                            <PropertiesTextEdit DisplayFormatString="{0:n2}">
                                                                                <MaskSettings Mask="$&lt;0..99999g&gt;.&lt;00..99&gt;" />
                                                                            </PropertiesTextEdit>
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Pay ID" FieldName="pay_id" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="55">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Check Invoice Number" FieldName="chk_invoice_number" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="56">
                                                                        </dx:GridViewDataTextColumn>
                                                                        <dx:GridViewDataDateColumn Caption="Check Service Start Date" FieldName="chk_service_start_date" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="57">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataDateColumn Caption="Check Disability Start Date" FieldName="chk_disability_start_date" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="58">
                                                                        </dx:GridViewDataDateColumn>
                                                                        <dx:GridViewDataTextColumn Caption="Claim Lookup Code" FieldName="clm_lookup_code_NW" ReadOnly="True" ShowInCustomizationForm="True" Visible="False" VisibleIndex="59">
                                                                        </dx:GridViewDataTextColumn>
                                                                    </Columns>
                                                                    <Styles>
                                                                        <EditForm HorizontalAlign="Center" VerticalAlign="Middle">
                                                                        </EditForm>
                                                                    </Styles>
                                                                </dx:ASPxGridView>
                                                            </dx:PanelContent>
                                                        </PanelCollection>
                                                    </dx:ASPxPanel>
                                                    <br />
                                                </dx:SplitterContentControl>
                                            </ContentCollection>
                                        </dx:SplitterPane>
                                    </Panes>
                                </dx:ASPxSplitter>
                            </dx:PopupControlContentControl>
                        </ContentCollection>
                    </dx:ASPxPopupControl>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxPopupControl ID="ExportPopup" runat="server" AllowDragging="True" ClientInstanceName="ExportPopup" CloseAction="CloseButton" HeaderText="Export" Height="340px" Modal="True" PopupAnimationType="None" PopupElementID="btnExport" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Theme="Aqua" Width="250px">
                        <ContentStyle HorizontalAlign="Left" VerticalAlign="Top">
                        </ContentStyle>
                        <HeaderStyle>
                            <Paddings PaddingBottom="6px" PaddingLeft="15px" PaddingRight="6px" PaddingTop="3px" />
                        </HeaderStyle>
                        <ContentCollection>
                            <dx:PopupControlContentControl runat="server">
                                <dx:ASPxPanel ID="ASPxPanel2" runat="server" Height="260px" Theme="Aqua" Width="240px">
                                    <PanelCollection>
                                        <dx:PanelContent runat="server">
                                            <table style="width: 100%">
                                                <tr>
                                                    <td></td>
                                                    <td>Data:</td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td>
                                                        <dx:ASPxRadioButtonList ID="rbRowSelection" runat="server" ClientInstanceName="rbRowSelection" EnableTheming="True" SelectedIndex="0" Theme="Aqua" Width="100%">
                                                            <Items>
                                                                <dx:ListEditItem Selected="True" Text="All Rows" Value="All" />
                                                                <dx:ListEditItem Text="Only Selected Rows" Value="Selected" />
                                                            </Items>
                                                        </dx:ASPxRadioButtonList>
                                                    </td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td>Output:</td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td>
                                                        <dx:ASPxRadioButtonList ID="rbGridExport" runat="server" ClientInstanceName="rbGridExport" EnableTheming="True" SelectedIndex="0" Theme="Aqua" Width="100%">
                                                            <Items>
                                                                <dx:ListEditItem Selected="True" Text="Excel (XLS)" Value="Excel" />
                                                                <dx:ListEditItem Text="Excel (XLSX)" Value="Excel2" />
                                                                <dx:ListEditItem Text="PDF" Value="PDF" />
                                                                <dx:ListEditItem Text="RTF" Value="RTF" />
                                                                <dx:ListEditItem Text="DocX" Value="DocX" />
                                                            </Items>
                                                        </dx:ASPxRadioButtonList>
                                                    </td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                                <tr>
                                                    <td>&nbsp;</td>
                                                    <td>&nbsp;</td>
                                                    <td>&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td align="center">
                                                        <dx:ASPxButton ID="btnGridExport" runat="server" AutoPostBack="False" ClientInstanceName="btnGridExport" EnableClientSideAPI="True" OnClick="btnGridExport_Click" Text="Export" Theme="Aqua">
                                                        </dx:ASPxButton>
                                                    </td>
                                                   <%-- <td></td>--%>
                                                </tr>
                                            </table>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxPanel>
                            </dx:PopupControlContentControl>
                        </ContentCollection>
                    </dx:ASPxPopupControl>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gridListOfPayments">
                    </dx:ASPxGridViewExporter>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxPopupControl ID="popSettings" runat="server" AllowDragging="True" ClientInstanceName="popSettings" CloseAction="CloseButton" EnableClientSideAPI="True" HeaderText="Grid Settings" Height="300px" Modal="True" PopupAction="None" PopupElementID="btnSettings" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" ShowPageScrollbarWhenModal="True" Theme="Aqua" Width="750px">
                        <ContentStyle HorizontalAlign="Left" VerticalAlign="Top">
                        </ContentStyle>
                        <HeaderStyle>
                            <Paddings PaddingBottom="6px" PaddingLeft="15px" PaddingRight="6px" PaddingTop="3px" />
                        </HeaderStyle>
                        <ContentCollection>
                            <dx:PopupControlContentControl runat="server">
                                <dx:ASPxCallbackPanel ID="ASPxCallbackPanel2" runat="server" Height="100%" Width="100%">
                                    <PanelCollection>
                                        <dx:PanelContent runat="server">
                                            <dx:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" EnableTabScrolling="True" Height="299px" Theme="Aqua" Width="100%">
                                                <TabPages>
                                                    <dx:TabPage Text="Visible Columns">
                                                        <ActiveTabStyle HorizontalAlign="Center">
                                                        </ActiveTabStyle>
                                                        <TabStyle HorizontalAlign="Center">
                                                        </TabStyle>
                                                        <ContentCollection>
                                                            <dx:ContentControl runat="server" Width="100%">
                                                                <table align="center" width="100%">
                                                                    <tr>
                                                                        <td class="auto-style5" style="width: 100%">
                                                                            <dx:ASPxCheckBoxList ID="chkFieldNames" runat="server" ClientInstanceName="chkFieldNames" EnableTheming="True" Font-Size="Medium" RepeatColumns="3" Theme="Aqua" Width="100%">
                                                                            </dx:ASPxCheckBoxList>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td></td>
                                                                    </tr>
                                                                </table>
                                                                <table style="width: 100%">
                                                                    <tr>
                                                                        <td></td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="btnSelectAll" runat="server" AutoPostBack="False" ClientInstanceName="btnSelectAll" Text="Select All" Theme="Aqua">
                                                                                <ClientSideEvents Click="function(s, e) { SelectAllFields();}" />
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td></td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="btnColumnSelect" runat="server" AutoPostBack="False" Text="Apply" Theme="Aqua">
                                                                                <ClientSideEvents Click="function(s, e) { gridListOfPayments.PerformCallback(&quot;HideColumns&quot;);}" />
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td></td>
                                                                        <td align="center">
                                                                            <dx:ASPxButton ID="btnClearAll" runat="server" AutoPostBack="False" ClientInstanceName="btnClearAll" Text="Clear All" Theme="Aqua">
                                                                                <ClientSideEvents Click="function(s, e) { UnSelectAllFields();}" />
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td></td>
                                                                    </tr>
                                                                </table>
                                                            </dx:ContentControl>
                                                        </ContentCollection>
                                                    </dx:TabPage>
                                                    <dx:TabPage Text="Frozen Columns">
                                                        <ActiveTabStyle HorizontalAlign="Center">
                                                        </ActiveTabStyle>
                                                        <TabStyle HorizontalAlign="Center">
                                                        </TabStyle>
                                                        <ContentCollection>
                                                            <dx:ContentControl runat="server" Width="100%">
                                                                <table style="width: 100%">
                                                                    <tr>
                                                                        <td>
                                                                            <dx:ASPxCheckBoxList ID="chkFrozenColumns" runat="server" ClientInstanceName="chkFrozenColumns" Font-Size="Medium" RepeatColumns="3" Width="100%">
                                                                            </dx:ASPxCheckBoxList>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="center" class="auto-style4">
                                                                            <dx:ASPxButton ID="btnApplyFrozenColumns" runat="server" AutoPostBack="False" HorizontalAlign="Center" Text="Apply" VerticalAlign="Middle">
                                                                                <ClientSideEvents Click="function(s, e) { gridListOfPayments.PerformCallback(&quot;FrozenColumns&quot;);}" />
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </dx:ContentControl>
                                                        </ContentCollection>
                                                    </dx:TabPage>
                                                    <dx:TabPage Text="Other">
                                                        <ActiveTabStyle HorizontalAlign="Center">
                                                        </ActiveTabStyle>
                                                        <TabStyle HorizontalAlign="Center">
                                                        </TabStyle>
                                                        <ContentCollection>
                                                            <dx:ContentControl runat="server">
                                                                <table style="border-style: none; width: 100%">
                                                                    <tr>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="left">&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="left">&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">&nbsp;</td>
                                                                        <td align="right" width="100px">
                                                                            <dx:ASPxLabel ID="ASPxLabel7" runat="server" Text="Filter Delay: ">
                                                                            </dx:ASPxLabel>
                                                                        </td>
                                                                        <td align="left">
                                                                            <dx:ASPxComboBox ID="ddFilterDelay" runat="server" ClientInstanceName="ddFilterDelay" EnableTheming="True" SelectedIndex="0">
                                                                                <Items>
                                                                                    <dx:ListEditItem Selected="True" Text="None" Value="None (Enter Key Only)" />
                                                                                    <dx:ListEditItem Text="2400" Value="2400" />
                                                                                    <dx:ListEditItem Text="4800" Value="4800" />
                                                                                    <dx:ListEditItem Text="9600" Value="9600" />
                                                                                </Items>
                                                                            </dx:ASPxComboBox>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">
                                                                            <dx:ASPxLabel ID="ASPxLabel8" runat="server" Text="Enable Hot Track: ">
                                                                            </dx:ASPxLabel>
                                                                        </td>
                                                                        <td align="left">
                                                                            <dx:ASPxCheckBox ID="chkHotTrack" runat="server" Checked="True" CheckState="Checked" ClientInstanceName="chkHotTrack">
                                                                            </dx:ASPxCheckBox>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">
                                                                            <dx:ASPxLabel ID="ASPxLabel9" runat="server" Text="Page Size (Rows): ">
                                                                            </dx:ASPxLabel>
                                                                        </td>
                                                                        <td align="left">
                                                                            <dx:ASPxComboBox ID="ddPageCount" runat="server" ClientInstanceName="ddPageCount" EnableTheming="True" SelectedIndex="0">
                                                                                <Items>
                                                                                    <dx:ListEditItem Selected="True" Text="100" Value="100" />
                                                                                    <dx:ListEditItem Text="200" Value="200" />
                                                                                    <dx:ListEditItem Text="300" Value="300" />
                                                                                    <dx:ListEditItem Text="400" Value="400" />
                                                                                    <dx:ListEditItem Text="500" Value="500" />
                                                                                    <dx:ListEditItem Text="600" Value="600" />
                                                                                    <dx:ListEditItem Text="1000" Value="1000" />
                                                                                </Items>
                                                                            </dx:ASPxComboBox>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">&nbsp;</td>
                                                                        <td align="right">
                                                                            <dx:ASPxLabel ID="ASPxLabel10" runat="server" Text="Grid Lines: ">
                                                                            </dx:ASPxLabel>
                                                                        </td>
                                                                        <td align="left">
                                                                            <dx:ASPxComboBox ID="ddGridLines" runat="server" ClientInstanceName="ddGridLines" SelectedIndex="0">
                                                                                <Items>
                                                                                    <dx:ListEditItem Selected="True" Text="Both" Value="Both" />
                                                                                    <dx:ListEditItem Text="Vertical" Value="Vertical" />
                                                                                    <dx:ListEditItem Text="Horizontal" Value="Horizontal" />
                                                                                    <dx:ListEditItem Text="None" Value="None" />
                                                                                </Items>
                                                                            </dx:ASPxComboBox>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>
                                                                            <dx:ASPxButton ID="ASPxButton1" runat="server" AutoPostBack="False" Text="Apply">
                                                                                <ClientSideEvents Click="function(s, e) { gridListOfPayments.PerformCallback(&quot;OtherSettings&quot;);}" />
                                                                            </dx:ASPxButton>
                                                                        </td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                        <td>&nbsp;</td>
                                                                    </tr>
                                                                </table>
                                                            </dx:ContentControl>
                                                        </ContentCollection>
                                                    </dx:TabPage>
                                                </TabPages>
                                            </dx:ASPxPageControl>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxCallbackPanel>
                            </dx:PopupControlContentControl>
                        </ContentCollection>
                    </dx:ASPxPopupControl>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <dx:ASPxPopupControl runat="server" PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" PopupElementID="imgLayouts" Modal="True" ShowPageScrollbarWhenModal="True" CloseAction="CloseButton" AllowDragging="True" ClientInstanceName="popupLayouts" PopupAnimationType="None" HeaderText="Custom Layouts" Width="800px" EnableTheming="True" ID="popupLayouts" Theme="Aqua">
                        <LoadingPanelImage Url="~/App_Themes/BlackGlass/Web/Loading.gif"></LoadingPanelImage>

                        <ContentStyle HorizontalAlign="Left" VerticalAlign="Top"></ContentStyle>

                        <HeaderStyle>
                            <Paddings PaddingLeft="15px" PaddingTop="3px" PaddingRight="6px" PaddingBottom="6px"></Paddings>
                        </HeaderStyle>
                        <ContentCollection>
                            <dx:PopupControlContentControl runat="server">
                                <dx:ASPxGridView runat="server" PreviewFieldName="UserID" AutoGenerateColumns="False" KeyFieldName="ID" ClientInstanceName="LayoutsGrid" DataSourceID="LayoutsSource" Width="100%" EnableTheming="True" ID="LayoutsGrid" Theme="Aqua">
                                    <ClientSideEvents CustomButtonClick="function(s, e) {GetCustomButtonClick(s,e);}"></ClientSideEvents>

                                    <SettingsPager Mode="ShowAllRecords" ShowDefaultImages="False">
                                        <AllButton Text="All"></AllButton>

                                        <NextPageButton Text="Next &gt;"></NextPageButton>

                                        <PrevPageButton Text="&lt; Prev"></PrevPageButton>
                                    </SettingsPager>

                                    <SettingsEditing NewItemRowPosition="Bottom" EditFormColumnCount="1" Mode="PopupEditForm" PopupEditFormAllowResize="True" PopupEditFormModal="True" PopupEditFormHorizontalAlign="WindowCenter" PopupEditFormVerticalAlign="WindowCenter"></SettingsEditing>

                                    <Settings ShowGroupButtons="False" VerticalScrollBarStyle="Virtual" ShowVerticalScrollBar="True" HorizontalScrollBarMode="Visible"></Settings>

                                    <SettingsBehavior ColumnResizeMode="Control" AllowFocusedRow="True" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" ConfirmDelete="True" ProcessSelectionChangedOnServer="True"></SettingsBehavior>

                                    <SettingsCommandButton>
                                        <NewButton>
                                            <Image Url="~/Images/aqua_images/icons/doc_add_24.gif"></Image>
                                        </NewButton>

                                        <UpdateButton>
                                            <Image Url="~/Images/aqua_images/icons/doc_ok_24.gif"></Image>
                                        </UpdateButton>

                                        <CancelButton>
                                            <Image Url="~/Images/aqua_images/Icons/doc_cancel_24.gif"></Image>
                                        </CancelButton>

                                        <EditButton>
                                            <Image Url="~/Images/aqua_images/icons/doc_write_24.gif"></Image>
                                        </EditButton>

                                        <DeleteButton>
                                            <Image Url="~/Images/aqua_images/icons/doc_del_24.gif"></Image>
                                        </DeleteButton>

                                        <SelectButton Text="Apply this layout">
                                            <Image Url="~/Images/aqua_images/icons/doc_next_24.gif"></Image>
                                        </SelectButton>
                                    </SettingsCommandButton>

                                    <SettingsPopup>
                                        <FilterControl AutoUpdatePosition="False"></FilterControl>
                                    </SettingsPopup>

                                    <StylesEditors>
                                        <CalendarHeader Spacing="11px"></CalendarHeader>

                                        <ProgressBar Height="25px"></ProgressBar>
                                    </StylesEditors>
                                    <Columns>
                                        <dx:GridViewCommandColumn ShowNewButton="True" ShowEditButton="True" ShowUpdateButton="True" ShowDeleteButton="True" ButtonRenderMode="Image" ButtonType="Image" ShowInCustomizationForm="True" FixedStyle="Left" Width="125px" Caption="Commands" VisibleIndex="0">
                                            <CustomButtons>
                                                <dx:GridViewCommandColumnCustomButton Visibility="AllDataRows" ID="ApplyLayout" Text="Apply Layout">
                                                    <Image AlternateText="Apply Layout" Url="~/Images/aqua_images/Icons/doc_next_24.gif"></Image>
                                                </dx:GridViewCommandColumnCustomButton>
                                            </CustomButtons>

                                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                                        </dx:GridViewCommandColumn>
                                        <dx:GridViewDataTextColumn FieldName="ID" ReadOnly="True" ShowInCustomizationForm="True" Width="60px" Caption="Layout ID" Visible="False" VisibleIndex="1">
                                            <EditFormSettings Visible="False"></EditFormSettings>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="UserID" ShowInCustomizationForm="True" Width="150px" Caption="User ID" VisibleIndex="2">
                                            <EditFormSettings Visible="True"></EditFormSettings>

                                            <EditCellStyle Wrap="False"></EditCellStyle>

                                            <EditFormCaptionStyle Wrap="False"></EditFormCaptionStyle>

                                            <HeaderStyle Wrap="False"></HeaderStyle>

                                            <CellStyle Wrap="False"></CellStyle>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="LayoutName" ShowInCustomizationForm="True" Width="200px" Caption="Layout Name" VisibleIndex="3">
                                            <EditFormSettings Visible="True"></EditFormSettings>

                                            <EditCellStyle Wrap="False"></EditCellStyle>

                                            <HeaderStyle Wrap="False"></HeaderStyle>

                                            <CellStyle Wrap="False"></CellStyle>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="ObjectID" ShowInCustomizationForm="True" Width="150px" Caption="Object ID" VisibleIndex="4">
                                            <EditFormSettings Visible="True"></EditFormSettings>

                                            <EditCellStyle Wrap="False"></EditCellStyle>

                                            <HeaderStyle Wrap="False"></HeaderStyle>

                                            <CellStyle Wrap="False"></CellStyle>
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="LayoutData" ShowInCustomizationForm="True" Width="300px" Caption="Layout Data" VisibleIndex="5">
                                            <PropertiesTextEdit Width="300px">
                                                <FocusedStyle Wrap="True"></FocusedStyle>

                                                <Style Wrap="True"></Style>
                                            </PropertiesTextEdit>

                                            <EditFormSettings RowSpan="1" Visible="True"></EditFormSettings>

                                            <EditCellStyle Wrap="True"></EditCellStyle>

                                            <FilterCellStyle Wrap="True"></FilterCellStyle>

                                            <EditFormCaptionStyle Wrap="True"></EditFormCaptionStyle>

                                            <HeaderStyle Wrap="True"></HeaderStyle>

                                            <CellStyle Wrap="False"></CellStyle>

                                            <FooterCellStyle Wrap="True"></FooterCellStyle>

                                            <GroupFooterCellStyle Wrap="True"></GroupFooterCellStyle>
                                        </dx:GridViewDataTextColumn>
                                    </Columns>
                                </dx:ASPxGridView>

                                <asp:SqlDataSource runat="server" ConflictDetection="CompareAllValues" ConnectionString="<%$ ConnectionStrings:dbCapP1ConnectionString %>" DeleteCommand="DELETE FROM [DevX_Layouts] WHERE [ID] = @original_ID" InsertCommand="INSERT INTO [DevX_Layouts] ([UserID], [LayoutName], [LayoutData], [ObjectName], [ObjectID]) VALUES (@UserID, @LayoutName, @LayoutData, @ObjectName, @ObjectID)" OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT ID, UserID, LayoutName, LayoutData, ObjectName, ObjectID FROM DevX_Layouts WHERE (UserID = @UserID) AND (ObjectID = N&#39;webParmListOfPayments&#39;)" UpdateCommand="UPDATE [DevX_Layouts] SET [UserID] = @UserID, [LayoutName] = @LayoutName, [LayoutData] = @LayoutData, [ObjectName] = @ObjectName, [ObjectID] = @ObjectID WHERE [ID] = @original_ID AND [UserID] = @original_UserID AND [LayoutName] = @original_LayoutName AND (([LayoutData] = @original_LayoutData) OR ([LayoutData] IS NULL AND @original_LayoutData IS NULL)) AND (([ObjectName] = @original_ObjectName) OR ([ObjectName] IS NULL AND @original_ObjectName IS NULL)) AND (([ObjectID] = @original_ObjectID) OR ([ObjectID] IS NULL AND @original_ObjectID IS NULL))" ID="LayoutsSource">
                                    <DeleteParameters>
                                        <asp:Parameter Name="original_ID" Type="Int32"></asp:Parameter>
                                    </DeleteParameters>
                                    <InsertParameters>
                                        <asp:Parameter Name="UserID" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="LayoutName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="LayoutData" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="ObjectName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="ObjectID" Type="String"></asp:Parameter>
                                    </InsertParameters>
                                    <SelectParameters>
                                        <asp:SessionParameter SessionField="Name" DefaultValue="" Name="UserID" Type="String"></asp:SessionParameter>
                                    </SelectParameters>
                                    <UpdateParameters>
                                        <asp:Parameter Name="UserID" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="LayoutName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="LayoutData" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="ObjectName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="ObjectID" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="original_ID" Type="Int32"></asp:Parameter>
                                        <asp:Parameter Name="original_UserID" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="original_LayoutName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="original_LayoutData" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="original_ObjectName" Type="String"></asp:Parameter>
                                        <asp:Parameter Name="original_ObjectID" Type="String"></asp:Parameter>
                                    </UpdateParameters>
                                </asp:SqlDataSource>

                            </dx:PopupControlContentControl>
                        </ContentCollection>
                    </dx:ASPxPopupControl>

                </td>
                <td>&nbsp;</td>
            </tr>
        </table>
        <br />
    </form>
</body>
</html>
