﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Collections.Generic
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports DevExpress.Web
Imports DevExpress.Xpo
Imports System.Data.SqlClient
Imports System.Data
Imports System.Configuration
Imports DevExpress.Web.Data
Imports DevExpress.XtraPrinting.Native.LayoutAdjustment
Imports DevExpress.Utils.Menu
Imports System.Drawing

Public Class GridWindow2
    Inherits System.Web.UI.Page

    Private mstrCreateTable As String = ""
    Private mstrDeleteTable As String = ""
    Private LayoutData As String = "" 'SPG added 2/10/2016
    Private LayoutName As String = "" 'SPG added 2/24/2016
    Private menuItems() As DXMenuItem 'SPG added 2/10/2016
    Private _loadFilterButtonRect As Rectangle = Rectangle.Empty
    Private loadFilterButtonSize As New Size(25, 10)
    Private SharedUserID As String = ""
    Private _madoCommand As SqlCommand = Nothing
    Private rsResultSet As New DataSet()
    Private aStringValue As String
    Private MasterDatabaseLayoutName As String
    Private MasterDatabaseLayout As String
    Private MasterDefaultLayout As String
    Private BackgroundPath As String
    Private SecurityLevel As String
    Private DefaultExportPath As String
    Private m_RestrictedFields As String
    Private m_RestrictedPrimaryButtons As String
    Private m_RestrictedSecondaryButtons As String
    Private UserID As String
    Private UserTheme As String
    Private DesktopBackground As String
    Private DefaultTheme As String
    Private CurrentFilter As String
    Private UserDefaultLayout As String = ""
    Public CustomFilterExpression As String
    Public DefaultLayout As String = ""
    Public ListCount As Integer
    Public popup As New ASPxPopupControl()
    Private strEmpAll As String = ""

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        'Dim appDesktop As MyDesktop
        Dim appWindow2 As New Window2


        Popup1.Width = (appWindow2.Width) - 25
        Popup1.Height = (appWindow2.Height) - 50


    End Sub

    Private Property madoCommand() As SqlCommand
        Get
            If _madoCommand Is Nothing Then
                _madoCommand = New SqlCommand()
            End If
            Return _madoCommand
        End Get
        Set(ByVal Value As SqlCommand)
            _madoCommand = Value
        End Set
    End Property

    Private Sub Grid2_Load(sender As Object, e As EventArgs) Handles gridListOfPayments.Load
        gridListOfPayments.DataSource = myPLdataset
        gridListOfPayments.DataBind()

        gridListOfPayments.SettingsPopup.EditForm.HorizontalAlign = PopupHorizontalAlign.Center
        gridListOfPayments.SettingsPopup.EditForm.VerticalAlign = PopupVerticalAlign.Middle
        gridListOfPayments.SettingsPopup.EditForm.ShowShadow = True
        ff_AddDefaultLayout()
        gridListOfPayments.ExpandAll()



    End Sub
    Protected Sub LayoutsGrid_InitNewRow(ByVal sender As Object, ByVal e As DevExpress.Web.Data.ASPxDataInitNewRowEventArgs) Handles LayoutsGrid.InitNewRow
        Try
            'Get the values to store with the layout data...
            e.NewValues("UserID") = Session("Name")
            e.NewValues("LayoutData") = gridListOfPayments.SaveClientLayout
            e.NewValues("ObjectID") = "webParmListOfPayments"
            e.NewValues("ObjectName") = "List Of Payments"
        Catch ex As Exception
            Dim innerException As New Exception("LayoutsGrid_InitNewRow")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in LayoutsGrid_InitNewRow." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try

    End Sub
    Protected Sub LayoutsGrid_CustomButtonCallback(ByVal sender As Object, ByVal e As DevExpress.Web.ASPxGridViewCustomButtonCallbackEventArgs) Handles LayoutsGrid.CustomButtonCallback
        Try
            LayoutData = LayoutsGrid.GetRowValues(LayoutsGrid.FocusedRowIndex, "LayoutData").ToString()
            gridListOfPayments.LoadClientLayout(LayoutData)
            gridListOfPayments.DataBind()
        Catch ex As Exception
            Dim innerException As New Exception("LayoutsGrid_CustomButtonCallback")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in LayoutsGrid_CustomButtonCallback." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try
    End Sub

    Public Sub ff_AddDefaultLayout()
        Try
            'Call mf_Check_ADO_Connection to check to see if connection is still active.
            mf_DBUtility_Check_ADO_Connection()

            With madoCommand
                'Set the ADO Command, active connection property to your global connection.
                .Connection = gadoConn
                .CommandText = String.Format("Select * from DevX_Layouts where UserID= '{0}' and ObjectID = '{1}'", Session("Name"), "webParmListOfPayments")
                .CommandType = CommandType.Text
                .CommandTimeout = 0
            End With

            Dim UserLayouts As SqlDataReader = madoCommand.ExecuteReader()

            Try
                If UserLayouts.HasRows Then
                    Do While UserLayouts.Read()
                        MasterDatabaseLayoutName = UserLayouts.ReadNullAsEmptyString("LayoutName")
                        If MasterDatabaseLayoutName = "Default" Then
                            LayoutData = UserLayouts.ReadNullAsEmptyString("LayoutData")
                            LayoutName = UserLayouts.ReadNullAsEmptyString("LayoutName")
                            gridListOfPayments.LoadClientLayout(LayoutData)
                        End If
                    Loop
                    UserLayouts.Close()
                Else
                    UserLayouts.Close()
                    LayoutData = gridListOfPayments.SaveClientLayout()

                    Dim I As Integer = 0
                    Dim sqlCMD As String
                    Dim sql(25) As String

                    LayoutName = "Default"
                    Try
                        sqlCMD = ""
                        sql(0) = "INSERT INTO DevX_Layouts (UserID, LayoutName,LayoutData,ObjectName,ObjectID) VALUES("
                        sql(1) = Chr(39) & Session("Name") & Chr(39) & " ,"
                        sql(2) = Chr(39) & LayoutName & Chr(39) & " ,"
                        sql(3) = Chr(39) & LayoutData & Chr(39) & " ,"
                        sql(4) = Chr(39) & "webParmListOfPayments" & Chr(39) & " ,"
                        sql(5) = Chr(39) & "webParmListOfPayments" & Chr(39)
                        sql(6) = ")"

                        For I = 0 To 6
                            sqlCMD = sqlCMD & sql(I)
                        Next

                        madoCommand.CommandText = sqlCMD
                        madoCommand.ExecuteNonQuery()

                        UserLayouts.Close()
                        gridListOfPayments.LoadClientLayout(LayoutData)

                    Catch ex As Exception
                        Dim innerException As New Exception("ff_AddDefaultLayout - 1")
                        Dim strError As String = ex.Message.ToString
                        Throw New Exception(vbCrLf & "There was an error thrown in ff_AddDefaultLayout. (First Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
                        Exit Sub
                    End Try
                End If
            Catch ex As Exception
                Dim innerException As New Exception("ff_AddDefaultLayout - 2")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in ff_AddDefaultLayout. (Second Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        Catch ex As Exception
            Dim innerException As New Exception("ff_AddDefaultLayout - 3")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_AddDefaultLayout. (Third Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try

    End Sub
    Private Sub RestoreMasterLayoutFromDatabase(ByVal ClientName As String)

        'Get the default layout from the user settings table...
        Dim strConnSQLServer As String = ConfigurationManager.ConnectionStrings("dbCapP1_DevConnectionString").ConnectionString
        Dim connToSQLServer As New SqlConnection(strConnSQLServer)
        Dim cmndDB As New SqlCommand
        Dim sqlCMD As String = ""
        Dim sqlCMD2 As String = ""

        UserDefaultLayout = ""

        Try
            'open the connection to the remote SQL Server
            connToSQLServer.Open()
            Try
                'Get the default layout based on their login name...

                sqlCMD = String.Format("Select MasterDefaultLayout from UserSettings where UserID= '{0}'", Session("Name"))

                With cmndDB
                    .Connection = connToSQLServer
                    Try
                        .CommandText = sqlCMD
                        DefaultLayout = .ExecuteScalar
                        If DefaultLayout <> Nothing Then
                            DefaultLayout = Trim(DefaultLayout)
                            'String.Format("Select * from DevX_Layouts where UserID= '{0}' and ObjectID = '{1}'", gstrUserId, Me.Name)
                            sqlCMD2 = String.Format("Select ayoutData from Layouts where UserID= ('{0}') and LayoutName=('{1}')", Session("Name"), Replace(DefaultLayout, "'", "''"))
                            .CommandText = sqlCMD2
                            'Set var UserDefaultLayout equal to the data retrieved from SQL then apply it to the grid...
                            UserDefaultLayout = .ExecuteScalar
                            gridListOfPayments.LoadClientLayout(UserDefaultLayout)
                        Else
                            'ToDo add code to create new account for first time users...
                            Exit Try
                        End If

                    Catch ex As Exception
                        Dim innerException As New Exception("NoReport")
                        Dim strError As String = ex.Message.ToString
                        Throw New Exception(vbCrLf & "There was an error thrown in the RestoreMasterLayoutFromDatabase. (First Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
                    End Try
                End With

            Catch exSQL As SqlException
                Dim innerException As New Exception("NoReport")
                Dim strError As String = exSQL.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in the RestoreMasterLayoutFromDatabase. (Second Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
            End Try

        Catch ex As Exception
            Dim innerException As New Exception("RestoreMasterLayoutFromDatabase")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in the RestoreMasterLayoutFromDatabase. (Third Exception)" & vbCrLf & vbCrLf & strError.ToString, innerException)
        Finally
            connToSQLServer.Close()
        End Try
        Session("DefaultLayoutStatus") = 1
    End Sub
    Private j As Integer = 0
    Private Sub gridListOfPayments_CustomCallback(sender As Object, e As ASPxGridViewCustomCallbackEventArgs) Handles gridListOfPayments.CustomCallback

        If e.Parameters = "LoadLayout" Then
            Try
                Dim lData As String = LayoutsGrid.GetRowValues(Session("rIndex"), "LayoutData")
                gridListOfPayments.LoadClientLayout(lData)
                gridListOfPayments.DataBind()
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - LoadLayout")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - LoadLayout." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        End If

        If e.Parameters = "HideColumns" Then
            Try
                For j = 0 To chkFieldNames.Items.Count - 1
                    If chkFieldNames.Items(j).Selected = False Then
                        gridListOfPayments.Columns(chkFieldNames.Items(j).Value).Visible = False
                    Else
                        gridListOfPayments.Columns(chkFieldNames.Items(j).Value).Visible = True
                    End If
                Next
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - HideColumns")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - HideColumns." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        End If

        If e.Parameters = "UnSelectAll" Then
            Try
                For j = 0 To chkFieldNames.Items.Count - 1
                    gridListOfPayments.Columns(chkFieldNames.Items(j).Value).Visible = False
                Next
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - UnSelectAll")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - UnSelectAll." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        End If

        If e.Parameters = "SelectAll" Then
            Try
                For j = 0 To chkFieldNames.Items.Count - 1
                    gridListOfPayments.Columns(chkFieldNames.Items(j).Value).Visible = True
                Next
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - SelectAll")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - SelectAll." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        End If

        If e.Parameters = "FrozenColumns" Then
            Try
                For j = 0 To chkFrozenColumns.Items.Count - 1
                    If chkFrozenColumns.Items(j).Selected = False Then
                        gridListOfPayments.Columns(chkFrozenColumns.Items(j).Value).FixedStyle = GridViewColumnFixedStyle.None
                    Else
                        gridListOfPayments.Columns(chkFrozenColumns.Items(j).Value).FixedStyle = GridViewColumnFixedStyle.Left
                    End If
                Next
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - FrozenColumns")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - FrozenColumns." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try
        End If

        If e.Parameters = "OtherSettings" Then
            Try
                'Set Filter Delay Timeout
                If ddFilterDelay.Value = "None (Enter Key Only)" Then
                    gridListOfPayments.SettingsBehavior.AutoFilterRowInputDelay = "1000000"
                End If
                If ddFilterDelay.Value = "2400" Then
                    gridListOfPayments.SettingsBehavior.AutoFilterRowInputDelay = "2400"
                End If
                If ddFilterDelay.Value = "4800" Then
                    gridListOfPayments.SettingsBehavior.AutoFilterRowInputDelay = "4800"
                End If
                If ddFilterDelay.Value = "9600" Then
                    gridListOfPayments.SettingsBehavior.AutoFilterRowInputDelay = "9600"
                End If

                'Set Grid Hot Track to ON or Off
                If chkHotTrack.Checked = True Then
                    gridListOfPayments.SettingsBehavior.EnableRowHotTrack = True
                    gridListOfPayments.DataBind()
                Else
                    gridListOfPayments.SettingsBehavior.EnableRowHotTrack = False
                    gridListOfPayments.DataBind()
                End If

                'Set number of rows per page
                If ddPageCount.Value <> "100" Then
                    gridListOfPayments.SettingsPager.PageSize = ddPageCount.Value
                End If

                'Set Gridlines setting
                If ddGridLines.Value <> "Both" Then
                    If ddGridLines.Value = "Both" Then
                        gridListOfPayments.Settings.GridLines = System.Web.UI.WebControls.GridLines.Both
                    End If
                    If ddGridLines.Value = "None" Then
                        gridListOfPayments.Settings.GridLines = System.Web.UI.WebControls.GridLines.None
                    End If
                    If ddGridLines.Value = "Vertical" Then
                        gridListOfPayments.Settings.GridLines = System.Web.UI.WebControls.GridLines.Vertical
                    End If
                    If ddGridLines.Value = "Horizontal" Then
                        gridListOfPayments.Settings.GridLines = System.Web.UI.WebControls.GridLines.Horizontal
                    End If
                End If
            Catch ex As Exception
                Dim innerException As New Exception("gridListOfPayments_CustomCallback - OtherSettings")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in gridListOfPayments_CustomCallback - OtherSettings." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub
            End Try

        End If
    End Sub

    Protected Sub btnGridExport_Click(sender As Object, e As EventArgs) Handles btnGridExport.Click
        Try

            'Export the rows in the grid based on what they selected from export radio buttons...
            Select Case rbRowSelection.SelectedIndex
                Case 0
                    ASPxGridViewExporter1.ExportSelectedRowsOnly = False

                    If rbGridExport.SelectedIndex = 0 Then
                        ASPxGridViewExporter1.WriteXlsToResponse("c:\temp\Payments.xls")
                    End If
                    If rbGridExport.SelectedIndex = 1 Then
                        ASPxGridViewExporter1.WriteXlsxToResponse("c:\temp\Payments.xlsx")
                    End If
                    If rbGridExport.SelectedIndex = 2 Then
                        ASPxGridViewExporter1.WritePdfToResponse("c:\temp\Payments.pdf")
                    End If
                    If rbGridExport.SelectedIndex = 3 Then
                        ASPxGridViewExporter1.WriteRtfToResponse("c:\temp\Payments.rtf")
                    End If
                    If rbGridExport.SelectedIndex = 4 Then
                        ASPxGridViewExporter1.WriteDocxToResponse("c:\temp\Payments.docx")
                    End If
                Case 1
                    ASPxGridViewExporter1.ExportSelectedRowsOnly = True

                    If rbGridExport.SelectedIndex = 0 Then
                        ASPxGridViewExporter1.WriteXlsToResponse("c:\temp\Payments.xls")
                    End If
                    If rbGridExport.SelectedIndex = 1 Then
                        ASPxGridViewExporter1.WriteXlsxToResponse("c:\temp\Payments.xlsx")
                    End If
                    If rbGridExport.SelectedIndex = 2 Then
                        ASPxGridViewExporter1.WritePdfToResponse("c:\temp\Payments.pdf")
                    End If
                    If rbGridExport.SelectedIndex = 3 Then
                        ASPxGridViewExporter1.WriteRtfToResponse("c:\temp\Payments.rtf")
                    End If
                    If rbGridExport.SelectedIndex = 4 Then
                        ASPxGridViewExporter1.WriteDocxToResponse("c:\temp\Payments.docx")
                    End If
            End Select

        Catch ex As Exception
            Dim innerException As New Exception("btnGridExport_Click")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in btnGridExport_Click." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try
    End Sub

    Private Sub GridWindow2_PreInit(sender As Object, e As EventArgs) Handles Me.PreInit
        'Set the theme for all the DevExpress objects on the page...
        Page.Theme = "Aqua"
    End Sub
End Class