﻿Imports DevExpress.Utils.Menu
Imports DevExpress.Web
Imports DevExpress.XtraPrinting.Native.LayoutAdjustment
Imports System.Data
Imports System.Data.SqlClient
Imports System.Drawing
Imports System.Windows.Forms

Public Class _PaymentsList

    Inherits System.Web.UI.Page

    Private mintStatus As Integer
    Public m_bClosedByUser As Boolean = False
    Public m_GridGroupsExpanded As Boolean = False
    Public memErrMessage As String
    Public memErrMessageStackTrace As String
    Public memErrMessageSource As String
    Public parmTotals_only As String = "No"

    '   Define ADO variables
    Private _madoCommand As SqlCommand = Nothing

    'Private mintStatus As Integer
    Private mstrExtraDescription As String = ""
    Private OldTag As String = ""
    Private asyncWorker As System.ComponentModel.BackgroundWorker

    '   Define ADO variables
    'Private _madoCommand As SqlCommand = Nothing
    Private rsResultSet As New DataSet()
    Private aStringValue As String

    Private Property madoCommand() As SqlCommand
        Get
            If _madoCommand Is Nothing Then
                _madoCommand = New SqlCommand()
            End If
            Return _madoCommand
        End Get
        Set(ByVal Value As SqlCommand)
            _madoCommand = Value
        End Set
    End Property


    '   Define module variables
    Private mstrcboLookupCode() As String
    Private mstrcboClaimHandler() As String
    Private mstrcboUPHandler() As String
    Private mstrcboAgent() As String
    Private mstrcboCoverageCode() As String
    Private mstrcboLineOfInsurance() As String
    Private mstrcboInsuranceAccount() As String
    Private mstrlstStateFund() As String
    Private mstrlstInsolvency() As String
    Private mstrlstRecoveries() As String

    '   New variables
    Private mstrCreateTable As String = ""
    Private mstrDeleteTable As String = ""
    Private LayoutData As String = "" 'SPG added 2/10/2016
    Private LayoutName As String = "" 'SPG added 2/24/2016
    Private menuItems() As DXMenuItem 'SPG added 2/10/2016
    Private _loadFilterButtonRect As Rectangle = Rectangle.Empty  'SPG added 3/01/2016
    Private loadFilterButtonSize As New Size(25, 10)  'SPG added 2/01/2016
    Private SharedUserID As String = ""

    Private MasterDatabaseLayoutName As String
    Private MasterDatabaseLayout As String
    Private MasterDefaultLayout As String
    Private BackgroundPath As String
    Private SecurityLevel As String
    Private DefaultExportPath As String
    Private m_RestrictedFields As String
    Private m_RestrictedPrimaryButtons As String
    Private m_RestrictedSecondaryButtons As String
    Private UserID As String
    Private UserTheme As String
    Private DesktopBackground As String
    Private DefaultTheme As String
    Private CurrentFilter As String
    Private UserDefaultLayout As String = ""
    Public CustomFilterExpression As String
    Public DefaultLayout As String = ""
    Public ListCount As Integer
    Public popup As New ASPxPopupControl()
    Private strEmpAll As String = ""

    '=================================================================================================
    ' Here's how you send a message to the client side...
    '
    'MessageBox1.ShowError("Your Message") Displaying an Error message 
    'MessageBox1.ShowWarning("Your Message") Displaying a Warning message
    'MessageBox1.ShowInfo("Your Message") Displaying an Information message
    'MessageBox1.ShowSuccess("Your Message") Displaying a Successful message
    '
    'MessageBox1.ShowError("Your Error Message",300,400) Change the window size
    '
    '=================================================================================================
    'Private Property madoCommand() As SqlCommand
    '    Get
    '        If _madoCommand Is Nothing Then
    '            _madoCommand = New SqlCommand()
    '        End If
    '        Return _madoCommand
    '    End Get
    '    Set(ByVal Value As SqlCommand)
    '        _madoCommand = Value
    '    End Set
    'End Property

    '   Define module variables
    'Private mstrcboLookupCode() As String
    'Private mstrcboClaimHandler() As String
    'Private mstrcboUPHandler() As String
    'Private mstrcboAgent() As String
    'Private mstrcboCoverageCode() As String
    'Private mstrcboLineOfInsurance() As String
    'Private mstrcboInsuranceAccount() As String
    'Private mstrlstStateFund() As String
    'Private mstrlstInsolvency() As String
    'Private mstrlstRecoveries() As String
    Private mintUserResponse As DialogResult

    '   New variables
    'Private mstrCreateTable As String = ""
    'Private mstrDeleteTable As String = ""

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Set the DocViewer source to a report layout file...

        'Dim myReportPath As String = Server.MapPath("Reports/")
        'Dim report As DevExpress.XtraReports.UI.XtraReport = DevExpress.XtraReports.UI.XtraReport.FromFile(myReportPath & "ListOfPayments_3.repx", True)

        'ClientScript.RegisterStartupScript(Me.GetType(), "script1", "ShowGridWindow();", True)
        Session("Name") = myUserID
        Session("Password") = myPassword


        mintStatus = ff_initialize()

    End Sub

    Private Sub PaymentsList_PreInit(sender As Object, e As EventArgs) Handles Me.PreInit
        'Set the theme for all the DevExpress objects on the page...
        Page.Theme = "Aqua"
    End Sub

    Private selectedValues As List(Of Object)

    Private Sub ff_SelectStateFunds()

        Try
            'Populate the temp table with the parm data
            'Insert State Fund Data

            'Get all the selected State ID's
            If gridStateFund.GridView.Selection.Count > 0 Then
                Dim fieldNames As List(Of String) = New List(Of String)()
                For Each column As GridViewColumn In gridStateFund.Columns
                    If TypeOf column Is GridViewDataColumn Then
                        fieldNames.Add((CType(column, GridViewDataColumn)).FieldName)
                    End If
                Next column

                selectedValues = gridStateFund.GridView.GetSelectedFieldValues(fieldNames.ToArray())

                For Each item As Object() In selectedValues
                    ff_InsertIntoTemp("STATE_FUND", item(0))
                Next item

            Else

                'Get all the State ID's
                Dim strRowCount As Integer = gridStateFund.GridView.VisibleRowCount
                Dim fieldNames As List(Of String) = New List(Of String)()
                Dim X As Integer

                For X = 0 To strRowCount - 1
                    ff_InsertIntoTemp("STATE_FUND", gridStateFund.GridView.GetRowValues(X, "sf_code"))
                Next

            End If

        Catch ex As Exception
            Dim innerException As New Exception("ff_SelectStateFunds")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_SelectStateFunds." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try

    End Sub

    Private Sub ff_SelectInsolvencies()

        Try
            'Populate the temp table with the parm data
            'Insert State Fund Data

            'Get all the selected Insolvencies
            If gridInsolvency.GridView.Selection.Count > 0 Then
                Dim fieldNames As List(Of String) = New List(Of String)()
                For Each column As GridViewColumn In gridInsolvency.Columns
                    If TypeOf column Is GridViewDataColumn Then
                        fieldNames.Add((CType(column, GridViewDataColumn)).FieldName)
                    End If
                Next column

                selectedValues = gridInsolvency.GridView.GetSelectedFieldValues(fieldNames.ToArray())

                For Each item As Object() In selectedValues
                    ff_InsertIntoTemp("NAIC_CODE", item(0))
                Next item

            Else

                'Get all the Insolvencies
                Dim strRowCount As Integer = gridInsolvency.GridView.VisibleRowCount
                Dim fieldNames As List(Of String) = New List(Of String)()
                Dim X As Integer

                For X = 0 To strRowCount - 1
                    ff_InsertIntoTemp("NAIC_CODE", gridInsolvency.GridView.GetRowValues(X, "mbr_naic_code"))
                Next

            End If

        Catch ex As Exception
            Dim innerException As New Exception("ff_SelectInsolvencies")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_SelectInsolvencies." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try

    End Sub

    Private Sub ff_InsertIntoTemp(ByRef strColumnName As String, ByRef strColumnValue As String)
        Try

            'Call a stored proc to populate the temp table
            With madoCommand
                madoCommand.Connection = gadoConn

                'Set the ADO Command, active connection property to your global connection.
                .CommandText = "sp_043_036_temp_ins_parms"
                .CommandType = CommandType.StoredProcedure
                Dim TempParameter As SqlParameter
                TempParameter = .CreateParameter()
                TempParameter.ParameterName = "strColumnName"
                TempParameter.DbType = DbType.String
                TempParameter.Direction = ParameterDirection.Input
                TempParameter.Size = 15
                TempParameter.Value = strColumnName
                .Parameters.Add(TempParameter)
                Dim TempParameter_2 As SqlParameter
                TempParameter_2 = .CreateParameter()
                TempParameter_2.ParameterName = "strColumnValue"
                TempParameter_2.DbType = DbType.String
                TempParameter_2.Direction = ParameterDirection.Input
                TempParameter_2.Size = 30
                TempParameter_2.Value = strColumnValue
                .Parameters.Add(TempParameter_2)
                Try
                    .ExecuteNonQuery()
                    mintStatus = conSUCCESS
                Catch ex As Exception
                    Dim innerException As New Exception("ff_InsertIntoTemp - 1")
                    Dim strError As String = ex.Message.ToString
                    Throw New Exception(vbCrLf & "There was an error thrown in ff_InsertIntoTemp - 1." & vbCrLf & vbCrLf & strError.ToString, innerException)
                    Exit Sub
                End Try


            End With

            'Reset the command object to nothing
            madoCommand = Nothing

        Catch ex As Exception
            Dim innerException As New Exception("ff_InsertIntoTemp - 2")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_InsertIntoTemp - 2." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try
    End Sub


    Private Function ff_initialize() As Integer
        '========================================================================================
        'FUNCTION:     ff_Initialize
        '
        'DESCRIPTION:  Initialize the window.
        '
        'INPUTS:       (None)
        '
        'OUTPUTS:      (None)
        '
        'MODIFIED BY   DATE        DESCRIPTION
        '-----------   ----        -----------
        'AJB           11/30/1999  Created
        '========================================================================================

        Try

            'Populate combo boxes
            ff_PopulateComboBoxes()

            'Populate default values
            'optUP.Checked = False
            'optClaim.Checked = True
            'optUPClaim.Checked = False

            ''Set fields to enabled or disabled
            'optLoss.Enabled = False
            'optExpense.Enabled = False
            'optExpenseLoss.Enabled = False
            'optExpenseLoss.Checked = True

            ''Indicate that none of the "Include" check boxes is ON:
            'bCheck1 = False
            'bCheck2 = False
            'bCheck3 = False
            'bCheck4 = False

        Catch ex As Exception
            Return 0

            '   Call global error handler function mf_NonCAPSErrorHandler to display
            '   and log "General failure error. This application will be shutdown.
            '   Please refer to your system administrator for assistance."
            'gErrHandlerObj.mf_NonCAPSErrorHandler(ex)
            mintStatus = conSHUTDOWN

            '   Call the function ff_Close to shutdown the window.
            'ff_Close()
        End Try
        Return 0
    End Function

    Private Sub ff_PopulateComboBoxes()
        '========================================================================================
        'FUNCTION:      ff_PopulateComboBoxes
        '
        'DESCRIPTION:   This function populates the Combo Boxes
        '
        'INPUTS:        (none)
        '
        'OUTPUTS:       (none)
        '
        'MODIFIED BY    DATE        DESCRIPTION
        '-----------    ----        -----------
        ' HHE           03/07/2000  Created
        '========================================================================================

        Try
            'redim so that no values are stored in this global UDT
            ReDim udtDetails(0)

            'strEmpAll = "N"
            'ff_PopulateClaimHandler()
            'ff_PopulateUPHandler()
            'ff_PopulateInsuranceAccount()
            'ff_PopulateLookupCode()
            'ff_PopulateLineOfInsurance()
            'ff_PopulateCoverageCode()
            'ff_PopulateStateFund()
            'ff_PopulateInsolvency()
            'ff_PopulateYearOfLoss()
            ff_PopulateRecoveryTypes()
        Catch ex As Exception

            'VB General System related errors
            'gErrHandlerObj.mf_NonCAPSErrorHandler(ex)

            mintStatus = conSHUTDOWN
            'Call the function ff_Close to shutdown the window.
            'ff_Close()
        End Try
    End Sub

    Private Sub ff_PopulateRecoveryTypes()

        Try
            '   Declare local variable
            'Dim lngCounter As Long
            Dim rsResultSet As New DataSet()
            Dim sSQL As String = ""
            Dim nTemp As Integer

            '   Check ADO Connection make sure connection is still active.
            mf_DBUtility_Check_ADO_Connection()

            '   Set the global ADO Connection property CursorLocation to adUseClient


            sSQL = "SELECT DISTINCT cd_value, cd_description, cd_active" & Environment.NewLine & "From code" & Environment.NewLine & "WHERE     (cd_category = 'Claim Recovery' OR cd_category = 'UP Recovery') AND (cd_active = 'Y')"
            Dim com As New SqlCommand()
            com.Connection = gadoConn
            com.CommandText = sSQL
            Dim adap As SqlDataAdapter = New SqlDataAdapter(com)
            rsResultSet = New DataSet("dsl")
            Try
                adap.Fill(rsResultSet)

            Catch ex As Exception
                '   Check Err.Number to see if stored procedure failed
                If mf_DBUtility_Check_ADO_Errors("", mintStatus, ex) Then
                    'Close window
                    'ff_Close()
                End If
            End Try
            ' clear state fund code and name
            lstRecoveryType.Items.Clear()

            'lstRecoveryType.AddItem conEMPTY
            ReDim mstrlstRecoveries(0)
            'mstrlstRecoveries(0) = conEMPTY
            nTemp = 0
            If mintStatus = conSUCCESS Then

                For Each iteration_row As DataRow In rsResultSet.Tables(0).Rows
                    ReDim Preserve mstrlstRecoveries(nTemp)
                    lstRecoveryType.Items.Add(iteration_row("cd_description"))
                    mstrlstRecoveries(nTemp) = CType(iteration_row("cd_value"), String)
                    nTemp += 1
                Next iteration_row
            End If

            rsResultSet = Nothing

            Exit Sub

        Catch ex As Exception
            'VB General System related errors
            'gErrHandlerObj.mf_NonCAPSErrorHandler(ex)

            mintStatus = conSHUTDOWN
            'Call the function ff_Close to shutdown the window.
            'ff_Close()

        End Try

    End Sub

    Private Sub ff_SelectRecoveryTypes()
        '========================================================================================
        ' FUNCTION:     ff_SelectRecoverTypes
        '
        ' DESCRIPTION:  This procedure is responsible for selecting
        '               Recovery Types
        ' INPUTS:       none
        '
        ' OUTPUTS:      None.
        '
        ' MODIFIED BY   DATE        DESCRIPTION
        ' -----------   ----        -----------
        ' DK1           08/16/2001  Created
        '========================================================================================

        Try
            Dim strValue As String = ""
            Dim bAll As Boolean

            'Populate the temp table with the parm data
            'Insert Recovery Types Data
            bAll = (chkHelmsman.SelectedIndices.Count < 1) ' If none are sel. then put all in

            For Each Item As ListEditItem In chkHelmsman.Items
                If Item.Selected Or bAll Then
                    ff_InsertIntoTemp("RCV_TYPE", mstrlstRecoveries(Item.Index))
                End If
            Next


        Catch ex As Exception

            'VB General System related errors
            'gErrHandlerObj.mf_NonCAPSErrorHandler(ex)

            mintStatus = conSHUTDOWN
            'Call the function ff_Close to shutdown the window.
            'ff_Close()
        End Try
    End Sub
    Private Sub ff_CreateTempTable()
        Try

            With madoCommand

                .Connection = gadoConn
                mstrCreateTable = "CREATE TABLE #temp_rpt36 " & " (column_name  varchar(30) null, " & "column_value varchar(30) null)"

                .CommandText = mstrCreateTable
                .CommandType = CommandType.Text
                '.Connection.Open()

                .ExecuteNonQuery()

                .Connection = gadoConn
                mstrCreateTable = "CREATE Table #temp_payment_work " & Environment.NewLine & "(chk_issue_date     datetime NULL, policy_number      varchar(20) NOT NULL," & Environment.NewLine & " clm_number     varchar(20) NULL, chk_payee_name     varchar(255)," & Environment.NewLine & " chk_payment_type   varchar(8) NULL, ia_code        varchar(8) NULL," & Environment.NewLine & " ia_description     varchar(80) NULL, chk_amount     money NULL," & Environment.NewLine & " rvr_amount         money NULL, rcv_amount  money NULL," & Environment.NewLine & " chk_number int NULL,  payment_type  varchar(8)," & Environment.NewLine & " mbr_naic_code char(8),  mbr_name varchar(50), sf_code varchar(8),  sf_name varchar(50)," & Environment.NewLine & " rcv_type varchar(8) NULL,  rcv_category varchar(8) NULL, mbr_insolv_code char(8),  parmia_code  varchar(12)," & Environment.NewLine & " parmlookup_code    varchar(8),  parmyear_of_loss   varchar(8)," & Environment.NewLine & " parmstartdate      datetime NULL, parmenddate  datetime NULL," & Environment.NewLine & " parmloi_number     varchar(30), parmpolicy_number  varchar(20)," & Environment.NewLine & " parmuds_code       varchar(86), parmagent      varchar(50)," & Environment.NewLine & " parmtax_number     char(9),  parmtax_name       varchar(50)," & Environment.NewLine & " parmstate_fund     varchar(8), parmnaic_code    varchar(8)," & Environment.NewLine & " parmhandler varchar(8), parmtotals_only char(8) NULL, type varchar(8) NULL, " & Environment.NewLine & " assigned_to        varchar(8) NULL, clm_date_loss      datetime NULL," & Environment.NewLine & " clm_lookup_code_1  varchar(8) NULL, clm_lookup_code_2  varchar(8) NULL," & Environment.NewLine & " clm_lookup_code_3  varchar(8) NULL, clm_lookup_code_4  varchar(8) NULL," & Environment.NewLine & " clm_lookup_code_5  varchar(8) NULL, prv_tax_number     char(9) NULL," & Environment.NewLine & " prv_first_name     varchar(30) NULL, prv_last_name       varchar(30) NULL," & Environment.NewLine & " prv_company_name   varchar(50) NULL, loi_number     varchar(8) NULL," & Environment.NewLine & " uds_code       char(8) NULL, agt_id int NULL, chk_status varchar(8) NULL, " & Environment.NewLine & " gfms_number varchar(20) NULL, chk_id int NULL, pay_amount     money NULL, pay_id   int NULL," & Environment.NewLine & " chk_invoice_number  varchar(20) NULL, chk_service_start_date datetime NULL, chk_disability_start_date datetime NULL, clm_lookup_code_NW varchar(8) NULL)"
                .CommandText = mstrCreateTable
                .CommandType = CommandType.Text
                .ExecuteNonQuery()

            End With

        Catch ex As Exception
            Dim innerException As New Exception("ff_CreateTempTable")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_CreateTempTable." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try
    End Sub

    Private Sub ff_DeleteTempTable()

        Try

            With madoCommand
                .Connection = gadoConn
                mstrDeleteTable = "IF (ISNULL(OBJECT_ID('tempdb..#temp_rpt36'),0)) > 0" & " DROP TABLE #temp_rpt36"

                'Drop temp table
                'Changed 11/25/2015 SPG to accomadate change in SQL 2012 where temp tables always return negative id's

                mstrDeleteTable = "IF (OBJECT_ID('tempdb..#temp_rpt36') IS NOT NULL) DROP TABLE #temp_rpt36"

                .CommandText = mstrDeleteTable
                .CommandType = CommandType.Text

                Try
                    .ExecuteNonQuery()
                Catch ex As Exception
                    Dim innerException As New Exception("ff_DeleteTempTable - 1")
                    Dim strError As String = ex.Message.ToString
                    Throw New Exception(vbCrLf & "There was an error thrown in ff_DeleteTempTable - 1." & vbCrLf & vbCrLf & strError.ToString, innerException)
                    Exit Sub
                End Try

                .Connection = gadoConn

                'Drop temp table
                'Changed 11/25/2015 SPG to accomadate change in SQL 2012 where temp tables always return negative id's
                mstrDeleteTable = "IF (OBJECT_ID('tempdb..#temp_payment_work') IS NOT NULL) DROP TABLE #temp_payment_work"

                .CommandText = mstrDeleteTable
                .CommandType = CommandType.Text

                Try
                    .ExecuteNonQuery()
                Catch ex As Exception
                    Dim innerException As New Exception("ff_DeleteTempTable - 2")
                    Dim strError As String = ex.Message.ToString
                    Throw New Exception(vbCrLf & "There was an error thrown in ff_DeleteTempTable - 2." & vbCrLf & vbCrLf & strError.ToString, innerException)
                    Exit Sub
                End Try

            End With

            madoCommand = Nothing

        Catch ex As Exception
            Dim innerException As New Exception("ff_DeleteTempTable - 3")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in ff_DeleteTempTable." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try
    End Sub

    Public txtMessage As String
    Public txtSource As String
    Public txtStackTrace As String
    Public txtUserID As String
    Public txtCurrentDate As String

    Private Sub Callback1_Callback(source As Object, e As CallbackEventArgs) Handles Callback1.Callback
        Dim strProviderName, strPayeeName, strpolicy_number, strAgent_name, stria_code, strclmhandler, struphandler, strloi_number, struds_code, stryear_of_loss, strStartDate, strEndDate, strlookup_code, strtax_number As String
        Dim blnDatesPassed As Boolean
        Dim blnChecked As Boolean
        Dim rsResultSet As New DataSet()
        Dim parmtotals_only As String = "No"



        Try

            ff_DeleteTempTable()

            'Create temp table for Parameters
            ff_CreateTempTable()

            'Call ff_InsertStateFunds to insert all selected
            'State Funds into the parameters temp table.
            ff_SelectStateFunds()

            'Call ff_InsertInsolvencies to insert all selected
            'insolvencies into the parameters temp table.
            ff_SelectInsolvencies()

            '        'Call ff_InsertTotalsOnly to insert if The user wants to see
            '        'Totals Only or details and totals
            '        ff_InsertTotalsOnly()


            ff_SelectRecoveryTypes()

            ' only one selection allowed for special helmsman reporting
            'If chkHelmsmanOnly.CheckState = CheckState.Checked Then
            '    chkExcludeHelmsman.CheckState = CheckState.Unchecked
            'Else
            'End If


            'Single Parameters only
            madoCommand = Nothing
            ' need to see if HM1 is the handler selected

            If cboClaimHandler.Text.Trim() = conEMPTY Then
                strclmhandler = "%"
            Else
                strclmhandler = mstrcboClaimHandler(cboClaimHandler.SelectedIndex - 1)
            End If

            With madoCommand
                'Set the ADO Command property activeconnection to your global connection.

                .Connection = gadoConn

                'Set the ADO Command, active connection property to your global connection.

                ''If chkHelmsmanOnly.CheckState = CheckState.Checked Then
                ''    .CommandText = "sp_043_036_pay_sel_HM1"
                ''Else
                ''    If chkExcludeHelmsman.CheckState = CheckState.Checked Then
                ''        .CommandText = "sp_043_036_pay_sel_NOT_HM1"
                ''    Else
                .CommandText = "sp_043_036_pay_sel"
                ''    End If
                ''End If

                .CommandTimeout = 0
                .CommandType = CommandType.StoredProcedure

                'policy number
                If txtPolicyNumber.Text.Trim() = conEMPTY Then
                    strpolicy_number = "%"
                Else
                    strpolicy_number = txtPolicyNumber.Text
                End If

                Dim TempParameter As SqlParameter
                TempParameter = .CreateParameter()
                TempParameter.ParameterName = "strpolicy_number"
                TempParameter.DbType = DbType.String
                TempParameter.Direction = ParameterDirection.Input
                TempParameter.Size = 20
                TempParameter.Value = strpolicy_number
                .Parameters.Add(TempParameter)
                Session("strpolicy_number") = TempParameter

                'Paid Check Parms
                If rbExpenseLoss.SelectedItem.Value = "optExpenseLoss" Then
                    Dim TempParameter_2 As SqlParameter
                    TempParameter_2 = .CreateParameter()
                    TempParameter_2.ParameterName = "paid_check_type_loss"
                    TempParameter_2.DbType = DbType.String
                    TempParameter_2.Direction = ParameterDirection.Input
                    TempParameter_2.Size = 8
                    TempParameter_2.Value = "LOSS"
                    .Parameters.Add(TempParameter_2)
                    Dim TempParameter_3 As SqlParameter
                    TempParameter_3 = .CreateParameter()
                    TempParameter_3.ParameterName = "paid_check_type_expense"
                    TempParameter_3.DbType = DbType.String
                    TempParameter_3.Direction = ParameterDirection.Input
                    TempParameter_3.Size = 8
                    TempParameter_3.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_3)
                ElseIf rbExpenseLoss.SelectedItem.Value = "optLoss" Then
                    Dim TempParameter_4 As SqlParameter
                    TempParameter_4 = .CreateParameter()
                    TempParameter_4.ParameterName = "paid_check_type_loss"
                    TempParameter_4.DbType = DbType.String
                    TempParameter_4.Direction = ParameterDirection.Input
                    TempParameter_4.Size = 8
                    TempParameter_4.Value = "LOSS"
                    .Parameters.Add(TempParameter_4)
                    Dim TempParameter_5 As SqlParameter
                    TempParameter_5 = .CreateParameter()
                    TempParameter_5.ParameterName = "paid_check_type_expense"
                    TempParameter_5.DbType = DbType.String
                    TempParameter_5.Direction = ParameterDirection.Input
                    TempParameter_5.Size = 8
                    TempParameter_5.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_5)

                ElseIf rbExpenseLoss.SelectedItem.Value = "optExpense" Then
                    Dim TempParameter_6 As SqlParameter
                    TempParameter_6 = .CreateParameter()
                    TempParameter_6.ParameterName = "paid_check_type_loss"
                    TempParameter_6.DbType = DbType.String
                    TempParameter_6.Direction = ParameterDirection.Input
                    TempParameter_6.Size = 8
                    TempParameter_6.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_6)
                    Dim TempParameter_7 As SqlParameter
                    TempParameter_7 = .CreateParameter()
                    TempParameter_7.ParameterName = "paid_check_type_expense"
                    TempParameter_7.DbType = DbType.String
                    TempParameter_7.Direction = ParameterDirection.Input
                    TempParameter_7.Size = 8
                    TempParameter_7.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_7)
                Else
                    Dim TempParameter_8 As SqlParameter
                    TempParameter_8 = .CreateParameter()
                    TempParameter_8.ParameterName = "paid_check_type_loss"
                    TempParameter_8.DbType = DbType.String
                    TempParameter_8.Direction = ParameterDirection.Input
                    TempParameter_8.Size = 8
                    TempParameter_8.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_8)
                    Dim TempParameter_9 As SqlParameter
                    TempParameter_9 = .CreateParameter()
                    TempParameter_9.ParameterName = "paid_check_type_expense"
                    TempParameter_9.DbType = DbType.String
                    TempParameter_9.Direction = ParameterDirection.Input
                    TempParameter_9.Size = 8
                    TempParameter_9.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_9)
                End If

                'Payment Type
                'Type UP & Claim 3
                If rbPaymentType.SelectedItem.Value = "optUPClaim" Then
                    Dim TempParameter_10 As SqlParameter
                    TempParameter_10 = .CreateParameter()
                    TempParameter_10.ParameterName = "up_claim"
                    TempParameter_10.DbType = DbType.String
                    TempParameter_10.Direction = ParameterDirection.Input
                    TempParameter_10.Size = 8
                    TempParameter_10.Value = "BOTH"
                    .Parameters.Add(TempParameter_10)

                    Session("payment_type") = TempParameter_10.Value
                    'Type UP 0
                ElseIf rbPaymentType.SelectedItem.Value = "optUP" Then
                    Dim TempParameter_11 As SqlParameter
                    TempParameter_11 = .CreateParameter()
                    TempParameter_11.ParameterName = "up_claim"
                    TempParameter_11.DbType = DbType.String
                    TempParameter_11.Direction = ParameterDirection.Input
                    TempParameter_11.Size = 8
                    TempParameter_11.Value = "UP"
                    .Parameters.Add(TempParameter_11)

                    Session("payment_type") = TempParameter_11.Value
                    'Type Claim 1
                ElseIf rbPaymentType.SelectedItem.Value = "optClaim" Then
                    Dim TempParameter_12 As SqlParameter
                    TempParameter_12 = .CreateParameter()
                    TempParameter_12.ParameterName = "up_claim"
                    TempParameter_12.DbType = DbType.String
                    TempParameter_12.Direction = ParameterDirection.Input
                    TempParameter_12.Size = 8
                    TempParameter_12.Value = "CLAIM"
                    .Parameters.Add(TempParameter_12)

                    Session("payment_type") = TempParameter_12.Value

                End If

                'Define properties of parameter Paid Checks
                If chkAmountType.Items(1).Selected Then
                    Dim TempParameter_13 As SqlParameter
                    TempParameter_13 = .CreateParameter()
                    TempParameter_13.ParameterName = "paid_check"
                    TempParameter_13.DbType = DbType.String
                    TempParameter_13.Direction = ParameterDirection.Input
                    TempParameter_13.Size = 8
                    TempParameter_13.Value = "YES"
                    .Parameters.Add(TempParameter_13)
                Else
                    Dim TempParameter_14 As SqlParameter
                    TempParameter_14 = .CreateParameter()
                    TempParameter_14.ParameterName = "paid_check"
                    TempParameter_14.DbType = DbType.String
                    TempParameter_14.Direction = ParameterDirection.Input
                    TempParameter_14.Size = 8
                    TempParameter_14.Value = "NO"
                    .Parameters.Add(TempParameter_14)
                End If

                'Define properties of parameter Reversal Checks
                If chkAmountType.Items(3).Selected Then
                    Dim TempParameter_15 As SqlParameter
                    TempParameter_15 = .CreateParameter()
                    TempParameter_15.ParameterName = "reversal_check"
                    TempParameter_15.DbType = DbType.String
                    TempParameter_15.Direction = ParameterDirection.Input
                    TempParameter_15.Size = 8
                    TempParameter_15.Value = "YES"
                    .Parameters.Add(TempParameter_15)
                Else
                    Dim TempParameter_16 As SqlParameter
                    TempParameter_16 = .CreateParameter()
                    TempParameter_16.ParameterName = "reversal_check"
                    TempParameter_16.DbType = DbType.String
                    TempParameter_16.Direction = ParameterDirection.Input
                    TempParameter_16.Size = 8
                    TempParameter_16.Value = "NO"
                    .Parameters.Add(TempParameter_16)
                End If

                'Define properties of parameter Recovery Checks
                If chkAmountType.Items(2).Selected Then
                    Dim TempParameter_17 As SqlParameter
                    TempParameter_17 = .CreateParameter()
                    TempParameter_17.ParameterName = "recovery_check"
                    TempParameter_17.DbType = DbType.String
                    TempParameter_17.Direction = ParameterDirection.Input
                    TempParameter_17.Size = 8
                    TempParameter_17.Value = "YES"
                    .Parameters.Add(TempParameter_17)
                Else
                    Dim TempParameter_18 As SqlParameter
                    TempParameter_18 = .CreateParameter()
                    TempParameter_18.ParameterName = "recovery_check"
                    TempParameter_18.DbType = DbType.String
                    TempParameter_18.Direction = ParameterDirection.Input
                    TempParameter_18.Size = 8
                    TempParameter_18.Value = "NO"
                    .Parameters.Add(TempParameter_18)
                End If

                'Payee Name
                If txtPayeeName.Text.Trim() = conEMPTY Then
                    strPayeeName = "%"
                Else
                    strPayeeName = txtPayeeName.Text
                End If

                Dim TempParameter_19 As SqlParameter
                TempParameter_19 = .CreateParameter()
                TempParameter_19.ParameterName = "chk_payee_name"
                TempParameter_19.DbType = DbType.String
                TempParameter_19.Direction = ParameterDirection.Input
                TempParameter_19.Size = 255
                TempParameter_19.Value = strPayeeName
                .Parameters.Add(TempParameter_19)


                'Define properties of parameter IA Code
                If lstInsuranceAccount.Text.Trim() = conEMPTY Then
                    stria_code = "%"
                Else
                    stria_code = mstrcboInsuranceAccount(lstInsuranceAccount.SelectedIndex - 1)
                End If
                Dim TempParameter_20 As SqlParameter
                TempParameter_20 = .CreateParameter()
                TempParameter_20.ParameterName = "stria_code"
                TempParameter_20.DbType = DbType.String
                TempParameter_20.Direction = ParameterDirection.Input
                TempParameter_20.Size = 2
                TempParameter_20.Value = stria_code
                .Parameters.Add(TempParameter_20)


                'Define properties of parameter  LOI Code
                If cboLineOfInsurance.Text.Trim() = conEMPTY Then
                    strloi_number = "%"
                Else
                    strloi_number = mstrcboLineOfInsurance(cboLineOfInsurance.SelectedIndex - 1)
                End If
                Dim TempParameter_21 As SqlParameter
                TempParameter_21 = .CreateParameter()
                TempParameter_21.ParameterName = "strloi_number"
                TempParameter_21.DbType = DbType.String
                TempParameter_21.Direction = ParameterDirection.Input
                TempParameter_21.Size = 20
                TempParameter_21.Value = strloi_number
                .Parameters.Add(TempParameter_21)


                'Agent Name
                If txtAgent.Text.Trim() = conEMPTY Then
                    strAgent_name = "%"
                Else
                    strAgent_name = txtAgent.Text
                End If

                Dim TempParameter_22 As SqlParameter
                TempParameter_22 = .CreateParameter()
                TempParameter_22.ParameterName = "agent_name"
                TempParameter_22.DbType = DbType.String
                TempParameter_22.Direction = ParameterDirection.Input
                TempParameter_22.Size = 50
                TempParameter_22.Value = strAgent_name
                .Parameters.Add(TempParameter_22)


                'Define properties of parameter Claim Handler
                If cboClaimHandler.Text.Trim() = conEMPTY Then
                    strclmhandler = "%"
                Else
                    strclmhandler = mstrcboClaimHandler(cboClaimHandler.SelectedIndex - 1)
                End If
                Dim TempParameter_23 As SqlParameter
                TempParameter_23 = .CreateParameter()
                TempParameter_23.ParameterName = "strclmhandler"
                TempParameter_23.DbType = DbType.String
                TempParameter_23.Direction = ParameterDirection.Input
                TempParameter_23.Size = 8
                TempParameter_23.Value = strclmhandler
                .Parameters.Add(TempParameter_23)

                'Define properties of parameter UP Handler
                If cboUPHandler.Text.Trim() = conEMPTY Then
                    struphandler = "%"
                Else
                    struphandler = mstrcboUPHandler(cboUPHandler.SelectedIndex - 1)
                End If
                Dim TempParameter_24 As SqlParameter
                TempParameter_24 = .CreateParameter()
                TempParameter_24.ParameterName = "struphandler"
                TempParameter_24.DbType = DbType.String
                TempParameter_24.Direction = ParameterDirection.Input
                TempParameter_24.Size = 8
                TempParameter_24.Value = struphandler
                .Parameters.Add(TempParameter_24)

                'Define properties of parameter UDS Code
                If cboCoverageCode.Text.Trim() = conEMPTY Then
                    struds_code = "%"
                Else
                    struds_code = mstrcboCoverageCode(cboCoverageCode.SelectedIndex - 1)
                End If
                Dim TempParameter_25 As SqlParameter
                TempParameter_25 = .CreateParameter()
                TempParameter_25.ParameterName = "struds_code"
                TempParameter_25.DbType = DbType.String
                TempParameter_25.Direction = ParameterDirection.Input
                TempParameter_25.Size = 6
                TempParameter_25.Value = struds_code
                .Parameters.Add(TempParameter_25)

                'Define properties of parameter Year Of Loss
                If cboYearOfLoss.Text.Trim() = conEMPTY Then
                    stryear_of_loss = "%"
                Else
                    stryear_of_loss = cboYearOfLoss.Text.Trim()
                End If
                Dim TempParameter_26 As SqlParameter
                TempParameter_26 = .CreateParameter()
                TempParameter_26.ParameterName = "stryear_of_loss"
                TempParameter_26.DbType = DbType.String
                TempParameter_26.Direction = ParameterDirection.Input
                TempParameter_26.Size = 4
                TempParameter_26.Value = stryear_of_loss
                .Parameters.Add(TempParameter_26)


                'Define properties of parameter LookUp codes
                If cboLookUpCode.Text.Trim() = conEMPTY Then
                    strlookup_code = "%"
                Else
                    strlookup_code = mstrcboLookupCode(cboLookUpCode.SelectedIndex - 1)
                End If

                Dim TempParameter_27 As SqlParameter
                TempParameter_27 = .CreateParameter()
                TempParameter_27.ParameterName = "strlookup_code"
                TempParameter_27.DbType = DbType.String
                TempParameter_27.Direction = ParameterDirection.Input
                TempParameter_27.Size = 8
                TempParameter_27.Value = strlookup_code
                .Parameters.Add(TempParameter_27)

                'Define properties of parameter Start Date
                If mskStartDate.Text.Trim() = conEMPTY Then
                    strStartDate = conSTARTDATEDEFAULT
                Else
                    strStartDate = mskStartDate.Date
                End If
                Dim TempParameter_28 As SqlParameter
                TempParameter_28 = .CreateParameter()
                TempParameter_28.ParameterName = "startdate"
                TempParameter_28.DbType = DbType.String
                TempParameter_28.Direction = ParameterDirection.Input
                TempParameter_28.Size = 8
                Dim TempDate As Date
                TempParameter_28.Value = IIf(DateTime.TryParse(strStartDate, TempDate), TempDate.ToString("yyyyMMdd"), strStartDate)
                .Parameters.Add(TempParameter_28)

                Session("startdate") = TempParameter_28

                'Define properties of parameter 10, End Date
                If mskEndDate.Text.Trim() = conEMPTY Then
                    strEndDate = conENDDATEDEFAULT
                Else
                    strEndDate = mskEndDate.Date

                End If
                Dim TempParameter_29 As SqlParameter
                TempParameter_29 = .CreateParameter()
                TempParameter_29.ParameterName = "enddate"
                TempParameter_29.DbType = DbType.String
                TempParameter_29.Direction = ParameterDirection.Input
                TempParameter_29.Size = 8
                Dim TempDate2 As Date
                TempParameter_29.Value = IIf(DateTime.TryParse(strEndDate, TempDate2), TempDate2.ToString("yyyyMMdd"), strEndDate)
                .Parameters.Add(TempParameter_29)

                'Provider Name
                If txtProviderName.Text.Trim() = conEMPTY Then
                    strProviderName = "%"
                Else
                    strProviderName = txtProviderName.Text
                End If

                Dim TempParameter_30 As SqlParameter
                TempParameter_30 = .CreateParameter()
                TempParameter_30.ParameterName = "provider_name"
                TempParameter_30.DbType = DbType.String
                TempParameter_30.Direction = ParameterDirection.Input
                TempParameter_30.Size = 60
                TempParameter_30.Value = strProviderName
                .Parameters.Add(TempParameter_30)

                'Define properties of parameter tax number
                If txtTaxNumber.Text.Trim() = conEMPTY Then
                    strtax_number = "%"
                Else
                    strtax_number = txtTaxNumber.Text.Trim()
                End If
                Dim TempParameter_31 As SqlParameter
                TempParameter_31 = .CreateParameter()
                TempParameter_31.ParameterName = "provider_tin"
                TempParameter_31.DbType = DbType.String
                TempParameter_31.Direction = ParameterDirection.Input
                TempParameter_31.Size = 9
                TempParameter_31.Value = strtax_number
                .Parameters.Add(TempParameter_31)
                'Reversal Parms
                If rbExpenseLoss.Value = "optExpenseLoss" Then
                    Dim TempParameter_32 As SqlParameter
                    TempParameter_32 = .CreateParameter()
                    TempParameter_32.ParameterName = "reversal_check_type_loss"
                    TempParameter_32.DbType = DbType.String
                    TempParameter_32.Direction = ParameterDirection.Input
                    TempParameter_32.Size = 8
                    TempParameter_32.Value = "LOSS"
                    .Parameters.Add(TempParameter_32)
                    Dim TempParameter_33 As SqlParameter
                    TempParameter_33 = .CreateParameter()
                    TempParameter_33.ParameterName = "reversal_check_type_expense"
                    TempParameter_33.DbType = DbType.String
                    TempParameter_33.Direction = ParameterDirection.Input
                    TempParameter_33.Size = 8
                    TempParameter_33.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_33)
                ElseIf rbExpenseLoss.Value = "optLoss" Then
                    Dim TempParameter_34 As SqlParameter
                    TempParameter_34 = .CreateParameter()
                    TempParameter_34.ParameterName = "reversal_check_type_loss"
                    TempParameter_34.DbType = DbType.String
                    TempParameter_34.Direction = ParameterDirection.Input
                    TempParameter_34.Size = 8
                    TempParameter_34.Value = "LOSS"
                    .Parameters.Add(TempParameter_34)
                    Dim TempParameter_35 As SqlParameter
                    TempParameter_35 = .CreateParameter()
                    TempParameter_35.ParameterName = "reversal_check_type_expense"
                    TempParameter_35.DbType = DbType.String
                    TempParameter_35.Direction = ParameterDirection.Input
                    TempParameter_35.Size = 8
                    TempParameter_35.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_35)

                ElseIf rbExpenseLoss.Value = "optExpense" Then
                    Dim TempParameter_36 As SqlParameter
                    TempParameter_36 = .CreateParameter()
                    TempParameter_36.ParameterName = "reversal_check_type_loss"
                    TempParameter_36.DbType = DbType.String
                    TempParameter_36.Direction = ParameterDirection.Input
                    TempParameter_36.Size = 8
                    TempParameter_36.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_36)
                    Dim TempParameter_37 As SqlParameter
                    TempParameter_37 = .CreateParameter()
                    TempParameter_37.ParameterName = "reversal_check_type_expense"
                    TempParameter_37.DbType = DbType.String
                    TempParameter_37.Direction = ParameterDirection.Input
                    TempParameter_37.Size = 8
                    TempParameter_37.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_37)
                Else
                    Dim TempParameter_38 As SqlParameter
                    TempParameter_38 = .CreateParameter()
                    TempParameter_38.ParameterName = "reversal_check_type_loss"
                    TempParameter_38.DbType = DbType.String
                    TempParameter_38.Direction = ParameterDirection.Input
                    TempParameter_38.Size = 8
                    TempParameter_38.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_38)
                    Dim TempParameter_39 As SqlParameter
                    TempParameter_39 = .CreateParameter()
                    TempParameter_39.ParameterName = "reversal_check_type_expense"
                    TempParameter_39.DbType = DbType.String
                    TempParameter_39.Direction = ParameterDirection.Input
                    TempParameter_39.Size = 8
                    TempParameter_39.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_39)
                End If

                Dim TempParameter_40 As SqlParameter
                TempParameter_40 = .CreateParameter()
                TempParameter_40.ParameterName = "intMaxTotal"
                TempParameter_40.DbType = DbType.Int32
                TempParameter_40.Direction = ParameterDirection.Input
                TempParameter_40.Size = 4
                TempParameter_40.Value = 0 'CInt(txtRestrictThousands.Text) * 1000
                .Parameters.Add(TempParameter_40)

            End With

            Try
                Dim adap As SqlDataAdapter = New SqlDataAdapter(madoCommand)

                Session("madoCommand") = adap

                rsResultSet = New DataSet("dsl")
                adap.Fill(rsResultSet)

                myPLdataset = rsResultSet.Tables(0)

                madoCommand = Nothing
                'ff_DeleteTempTable()

                MyDesktop.openWindow("Window2")

            Catch ex As Exception
                Dim innerException As New Exception("Callback1 - 1")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in Callback1 - 1." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub

            End Try



        Catch ex As Exception
            Dim innerException As New Exception("Callback1 - 2")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in Callback1 - 2." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub
        End Try

    End Sub

    Private Sub chkAmountType_SelectedIndexChanged(sender As Object, e As EventArgs) Handles chkAmountType.SelectedIndexChanged
        If chkAmountType.SelectedItem.Text = "All" Then
            chkAmountType.Items(1).Selected = True
            chkAmountType.Items(2).Selected = True
            chkAmountType.Items(3).Selected = True
        End If
    End Sub

    Private Sub Callback2_Callback(source As Object, e As CallbackEventArgs) Handles Callback2.Callback
        Dim strProviderName, strPayeeName, strpolicy_number, strAgent_name, stria_code, strclmhandler, struphandler, strloi_number, struds_code, stryear_of_loss, strStartDate, strEndDate, strlookup_code, strtax_number As String
        Dim blnDatesPassed As Boolean
        Dim blnChecked As Boolean
        Dim rsResultSet As New DataSet()
        Dim parmtotals_only As String = "No"

        Try

            'Create temp table for Parameters
            ff_CreateTempTable()

            'Call ff_InsertStateFunds to insert all selected
            'State Funds into the parameters temp table.
            ff_SelectStateFunds()

            'Call ff_InsertInsolvencies to insert all selected
            'insolvencies into the parameters temp table.
            ff_SelectInsolvencies()

            '        'Call ff_InsertTotalsOnly to insert if The user wants to see
            '        'Totals Only or details and totals
            '        ff_InsertTotalsOnly()


            ff_SelectRecoveryTypes()

            ' only one selection allowed for special helmsman reporting
            'If chkHelmsmanOnly.CheckState = CheckState.Checked Then
            '    chkExcludeHelmsman.CheckState = CheckState.Unchecked
            'Else
            'End If


            'Single Parameters only
            madoCommand = Nothing
            ' need to see if HM1 is the handler selected

            If cboClaimHandler.Text.Trim() = conEMPTY Then
                strclmhandler = "%"
            Else
                strclmhandler = mstrcboClaimHandler(cboClaimHandler.SelectedIndex - 1)
            End If

            With madoCommand
                'Set the ADO Command property activeconnection to your global connection.

                .Connection = gadoConn

                'Set the ADO Command, active connection property to your global connection.

                ''If chkHelmsmanOnly.CheckState = CheckState.Checked Then
                ''    .CommandText = "sp_043_036_pay_sel_HM1"
                ''Else
                ''    If chkExcludeHelmsman.CheckState = CheckState.Checked Then
                ''        .CommandText = "sp_043_036_pay_sel_NOT_HM1"
                ''    Else
                .CommandText = "sp_043_036_pay_sel"
                ''    End If
                ''End If

                .CommandTimeout = 0
                .CommandType = CommandType.StoredProcedure

                'policy number
                If txtPolicyNumber.Text.Trim() = conEMPTY Then
                    strpolicy_number = "%"
                Else
                    strpolicy_number = txtPolicyNumber.Text
                End If

                Dim TempParameter As SqlParameter
                TempParameter = .CreateParameter()
                TempParameter.ParameterName = "strpolicy_number"
                TempParameter.DbType = DbType.String
                TempParameter.Direction = ParameterDirection.Input
                TempParameter.Size = 20
                TempParameter.Value = strpolicy_number
                .Parameters.Add(TempParameter)
                Session("strpolicy_number") = TempParameter

                'Paid Check Parms
                If rbExpenseLoss.SelectedItem.Value = "optExpenseLoss" Then
                    Dim TempParameter_2 As SqlParameter
                    TempParameter_2 = .CreateParameter()
                    TempParameter_2.ParameterName = "paid_check_type_loss"
                    TempParameter_2.DbType = DbType.String
                    TempParameter_2.Direction = ParameterDirection.Input
                    TempParameter_2.Size = 8
                    TempParameter_2.Value = "LOSS"
                    .Parameters.Add(TempParameter_2)
                    Dim TempParameter_3 As SqlParameter
                    TempParameter_3 = .CreateParameter()
                    TempParameter_3.ParameterName = "paid_check_type_expense"
                    TempParameter_3.DbType = DbType.String
                    TempParameter_3.Direction = ParameterDirection.Input
                    TempParameter_3.Size = 8
                    TempParameter_3.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_3)
                ElseIf rbExpenseLoss.SelectedItem.Value = "optLoss" Then
                    Dim TempParameter_4 As SqlParameter
                    TempParameter_4 = .CreateParameter()
                    TempParameter_4.ParameterName = "paid_check_type_loss"
                    TempParameter_4.DbType = DbType.String
                    TempParameter_4.Direction = ParameterDirection.Input
                    TempParameter_4.Size = 8
                    TempParameter_4.Value = "LOSS"
                    .Parameters.Add(TempParameter_4)
                    Dim TempParameter_5 As SqlParameter
                    TempParameter_5 = .CreateParameter()
                    TempParameter_5.ParameterName = "paid_check_type_expense"
                    TempParameter_5.DbType = DbType.String
                    TempParameter_5.Direction = ParameterDirection.Input
                    TempParameter_5.Size = 8
                    TempParameter_5.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_5)

                ElseIf rbExpenseLoss.SelectedItem.Value = "optExpense" Then
                    Dim TempParameter_6 As SqlParameter
                    TempParameter_6 = .CreateParameter()
                    TempParameter_6.ParameterName = "paid_check_type_loss"
                    TempParameter_6.DbType = DbType.String
                    TempParameter_6.Direction = ParameterDirection.Input
                    TempParameter_6.Size = 8
                    TempParameter_6.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_6)
                    Dim TempParameter_7 As SqlParameter
                    TempParameter_7 = .CreateParameter()
                    TempParameter_7.ParameterName = "paid_check_type_expense"
                    TempParameter_7.DbType = DbType.String
                    TempParameter_7.Direction = ParameterDirection.Input
                    TempParameter_7.Size = 8
                    TempParameter_7.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_7)
                Else
                    Dim TempParameter_8 As SqlParameter
                    TempParameter_8 = .CreateParameter()
                    TempParameter_8.ParameterName = "paid_check_type_loss"
                    TempParameter_8.DbType = DbType.String
                    TempParameter_8.Direction = ParameterDirection.Input
                    TempParameter_8.Size = 8
                    TempParameter_8.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_8)
                    Dim TempParameter_9 As SqlParameter
                    TempParameter_9 = .CreateParameter()
                    TempParameter_9.ParameterName = "paid_check_type_expense"
                    TempParameter_9.DbType = DbType.String
                    TempParameter_9.Direction = ParameterDirection.Input
                    TempParameter_9.Size = 8
                    TempParameter_9.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_9)
                End If

                'Payment Type
                'Type UP & Claim 3
                If rbPaymentType.SelectedItem.Value = "optUPClaim" Then
                    Dim TempParameter_10 As SqlParameter
                    TempParameter_10 = .CreateParameter()
                    TempParameter_10.ParameterName = "up_claim"
                    TempParameter_10.DbType = DbType.String
                    TempParameter_10.Direction = ParameterDirection.Input
                    TempParameter_10.Size = 8
                    TempParameter_10.Value = "BOTH"
                    .Parameters.Add(TempParameter_10)

                    Session("payment_type") = TempParameter_10.Value
                    'Type UP 0
                ElseIf rbPaymentType.SelectedItem.Value = "optUP" Then
                    Dim TempParameter_11 As SqlParameter
                    TempParameter_11 = .CreateParameter()
                    TempParameter_11.ParameterName = "up_claim"
                    TempParameter_11.DbType = DbType.String
                    TempParameter_11.Direction = ParameterDirection.Input
                    TempParameter_11.Size = 8
                    TempParameter_11.Value = "UP"
                    .Parameters.Add(TempParameter_11)

                    Session("payment_type") = TempParameter_11.Value
                    'Type Claim 1
                ElseIf rbPaymentType.SelectedItem.Value = "optClaim" Then
                    Dim TempParameter_12 As SqlParameter
                    TempParameter_12 = .CreateParameter()
                    TempParameter_12.ParameterName = "up_claim"
                    TempParameter_12.DbType = DbType.String
                    TempParameter_12.Direction = ParameterDirection.Input
                    TempParameter_12.Size = 8
                    TempParameter_12.Value = "CLAIM"
                    .Parameters.Add(TempParameter_12)

                    Session("payment_type") = TempParameter_12.Value

                End If

                'Define properties of parameter Paid Checks
                If chkAmountType.Items(1).Selected Then
                    Dim TempParameter_13 As SqlParameter
                    TempParameter_13 = .CreateParameter()
                    TempParameter_13.ParameterName = "paid_check"
                    TempParameter_13.DbType = DbType.String
                    TempParameter_13.Direction = ParameterDirection.Input
                    TempParameter_13.Size = 8
                    TempParameter_13.Value = "YES"
                    .Parameters.Add(TempParameter_13)
                Else
                    Dim TempParameter_14 As SqlParameter
                    TempParameter_14 = .CreateParameter()
                    TempParameter_14.ParameterName = "paid_check"
                    TempParameter_14.DbType = DbType.String
                    TempParameter_14.Direction = ParameterDirection.Input
                    TempParameter_14.Size = 8
                    TempParameter_14.Value = "NO"
                    .Parameters.Add(TempParameter_14)
                End If

                'Define properties of parameter Reversal Checks
                If chkAmountType.Items(3).Selected Then
                    Dim TempParameter_15 As SqlParameter
                    TempParameter_15 = .CreateParameter()
                    TempParameter_15.ParameterName = "reversal_check"
                    TempParameter_15.DbType = DbType.String
                    TempParameter_15.Direction = ParameterDirection.Input
                    TempParameter_15.Size = 8
                    TempParameter_15.Value = "YES"
                    .Parameters.Add(TempParameter_15)
                Else
                    Dim TempParameter_16 As SqlParameter
                    TempParameter_16 = .CreateParameter()
                    TempParameter_16.ParameterName = "reversal_check"
                    TempParameter_16.DbType = DbType.String
                    TempParameter_16.Direction = ParameterDirection.Input
                    TempParameter_16.Size = 8
                    TempParameter_16.Value = "NO"
                    .Parameters.Add(TempParameter_16)
                End If

                'Define properties of parameter Recovery Checks
                If chkAmountType.Items(2).Selected Then
                    Dim TempParameter_17 As SqlParameter
                    TempParameter_17 = .CreateParameter()
                    TempParameter_17.ParameterName = "recovery_check"
                    TempParameter_17.DbType = DbType.String
                    TempParameter_17.Direction = ParameterDirection.Input
                    TempParameter_17.Size = 8
                    TempParameter_17.Value = "YES"
                    .Parameters.Add(TempParameter_17)
                Else
                    Dim TempParameter_18 As SqlParameter
                    TempParameter_18 = .CreateParameter()
                    TempParameter_18.ParameterName = "recovery_check"
                    TempParameter_18.DbType = DbType.String
                    TempParameter_18.Direction = ParameterDirection.Input
                    TempParameter_18.Size = 8
                    TempParameter_18.Value = "NO"
                    .Parameters.Add(TempParameter_18)
                End If

                'Payee Name
                If txtPayeeName.Text.Trim() = conEMPTY Then
                    strPayeeName = "%"
                Else
                    strPayeeName = txtPayeeName.Text
                End If

                Dim TempParameter_19 As SqlParameter
                TempParameter_19 = .CreateParameter()
                TempParameter_19.ParameterName = "chk_payee_name"
                TempParameter_19.DbType = DbType.String
                TempParameter_19.Direction = ParameterDirection.Input
                TempParameter_19.Size = 255
                TempParameter_19.Value = strPayeeName
                .Parameters.Add(TempParameter_19)


                'Define properties of parameter IA Code
                If lstInsuranceAccount.Text.Trim() = conEMPTY Then
                    stria_code = "%"
                Else
                    stria_code = mstrcboInsuranceAccount(lstInsuranceAccount.SelectedIndex - 1)
                End If
                Dim TempParameter_20 As SqlParameter
                TempParameter_20 = .CreateParameter()
                TempParameter_20.ParameterName = "stria_code"
                TempParameter_20.DbType = DbType.String
                TempParameter_20.Direction = ParameterDirection.Input
                TempParameter_20.Size = 2
                TempParameter_20.Value = stria_code
                .Parameters.Add(TempParameter_20)


                'Define properties of parameter  LOI Code
                If cboLineOfInsurance.Text.Trim() = conEMPTY Then
                    strloi_number = "%"
                Else
                    strloi_number = mstrcboLineOfInsurance(cboLineOfInsurance.SelectedIndex - 1)
                End If
                Dim TempParameter_21 As SqlParameter
                TempParameter_21 = .CreateParameter()
                TempParameter_21.ParameterName = "strloi_number"
                TempParameter_21.DbType = DbType.String
                TempParameter_21.Direction = ParameterDirection.Input
                TempParameter_21.Size = 20
                TempParameter_21.Value = strloi_number
                .Parameters.Add(TempParameter_21)


                'Agent Name
                If txtAgent.Text.Trim() = conEMPTY Then
                    strAgent_name = "%"
                Else
                    strAgent_name = txtAgent.Text
                End If

                Dim TempParameter_22 As SqlParameter
                TempParameter_22 = .CreateParameter()
                TempParameter_22.ParameterName = "agent_name"
                TempParameter_22.DbType = DbType.String
                TempParameter_22.Direction = ParameterDirection.Input
                TempParameter_22.Size = 50
                TempParameter_22.Value = strAgent_name
                .Parameters.Add(TempParameter_22)


                'Define properties of parameter Claim Handler
                If cboClaimHandler.Text.Trim() = conEMPTY Then
                    strclmhandler = "%"
                Else
                    strclmhandler = mstrcboClaimHandler(cboClaimHandler.SelectedIndex - 1)
                End If
                Dim TempParameter_23 As SqlParameter
                TempParameter_23 = .CreateParameter()
                TempParameter_23.ParameterName = "strclmhandler"
                TempParameter_23.DbType = DbType.String
                TempParameter_23.Direction = ParameterDirection.Input
                TempParameter_23.Size = 8
                TempParameter_23.Value = strclmhandler
                .Parameters.Add(TempParameter_23)

                'Define properties of parameter UP Handler
                If cboUPHandler.Text.Trim() = conEMPTY Then
                    struphandler = "%"
                Else
                    struphandler = mstrcboUPHandler(cboUPHandler.SelectedIndex - 1)
                End If
                Dim TempParameter_24 As SqlParameter
                TempParameter_24 = .CreateParameter()
                TempParameter_24.ParameterName = "struphandler"
                TempParameter_24.DbType = DbType.String
                TempParameter_24.Direction = ParameterDirection.Input
                TempParameter_24.Size = 8
                TempParameter_24.Value = struphandler
                .Parameters.Add(TempParameter_24)

                'Define properties of parameter UDS Code
                If cboCoverageCode.Text.Trim() = conEMPTY Then
                    struds_code = "%"
                Else
                    struds_code = mstrcboCoverageCode(cboCoverageCode.SelectedIndex - 1)
                End If
                Dim TempParameter_25 As SqlParameter
                TempParameter_25 = .CreateParameter()
                TempParameter_25.ParameterName = "struds_code"
                TempParameter_25.DbType = DbType.String
                TempParameter_25.Direction = ParameterDirection.Input
                TempParameter_25.Size = 6
                TempParameter_25.Value = struds_code
                .Parameters.Add(TempParameter_25)

                'Define properties of parameter Year Of Loss
                If cboYearOfLoss.Text.Trim() = conEMPTY Then
                    stryear_of_loss = "%"
                Else
                    stryear_of_loss = cboYearOfLoss.Text.Trim()
                End If
                Dim TempParameter_26 As SqlParameter
                TempParameter_26 = .CreateParameter()
                TempParameter_26.ParameterName = "stryear_of_loss"
                TempParameter_26.DbType = DbType.String
                TempParameter_26.Direction = ParameterDirection.Input
                TempParameter_26.Size = 4
                TempParameter_26.Value = stryear_of_loss
                .Parameters.Add(TempParameter_26)


                'Define properties of parameter LookUp codes
                If cboLookUpCode.Text.Trim() = conEMPTY Then
                    strlookup_code = "%"
                Else
                    strlookup_code = mstrcboLookupCode(cboLookUpCode.SelectedIndex - 1)
                End If

                Dim TempParameter_27 As SqlParameter
                TempParameter_27 = .CreateParameter()
                TempParameter_27.ParameterName = "strlookup_code"
                TempParameter_27.DbType = DbType.String
                TempParameter_27.Direction = ParameterDirection.Input
                TempParameter_27.Size = 8
                TempParameter_27.Value = strlookup_code
                .Parameters.Add(TempParameter_27)

                'Define properties of parameter Start Date
                If mskStartDate.Text.Trim() = conEMPTY Then
                    strStartDate = conSTARTDATEDEFAULT
                Else
                    strStartDate = mskStartDate.Date
                End If
                Dim TempParameter_28 As SqlParameter
                TempParameter_28 = .CreateParameter()
                TempParameter_28.ParameterName = "startdate"
                TempParameter_28.DbType = DbType.String
                TempParameter_28.Direction = ParameterDirection.Input
                TempParameter_28.Size = 8
                Dim TempDate As Date
                TempParameter_28.Value = IIf(DateTime.TryParse(strStartDate, TempDate), TempDate.ToString("yyyyMMdd"), strStartDate)
                .Parameters.Add(TempParameter_28)

                Session("startdate") = TempParameter_28

                'Define properties of parameter 10, End Date
                If mskEndDate.Text.Trim() = conEMPTY Then
                    strEndDate = conENDDATEDEFAULT
                Else
                    strEndDate = mskEndDate.Date

                End If
                Dim TempParameter_29 As SqlParameter
                TempParameter_29 = .CreateParameter()
                TempParameter_29.ParameterName = "enddate"
                TempParameter_29.DbType = DbType.String
                TempParameter_29.Direction = ParameterDirection.Input
                TempParameter_29.Size = 8
                Dim TempDate2 As Date
                TempParameter_29.Value = IIf(DateTime.TryParse(strEndDate, TempDate2), TempDate2.ToString("yyyyMMdd"), strEndDate)
                .Parameters.Add(TempParameter_29)

                'Provider Name
                If txtProviderName.Text.Trim() = conEMPTY Then
                    strProviderName = "%"
                Else
                    strProviderName = txtProviderName.Text
                End If

                Dim TempParameter_30 As SqlParameter
                TempParameter_30 = .CreateParameter()
                TempParameter_30.ParameterName = "provider_name"
                TempParameter_30.DbType = DbType.String
                TempParameter_30.Direction = ParameterDirection.Input
                TempParameter_30.Size = 60
                TempParameter_30.Value = strProviderName
                .Parameters.Add(TempParameter_30)

                'Define properties of parameter tax number
                If txtTaxNumber.Text.Trim() = conEMPTY Then
                    strtax_number = "%"
                Else
                    strtax_number = txtTaxNumber.Text.Trim()
                End If
                Dim TempParameter_31 As SqlParameter
                TempParameter_31 = .CreateParameter()
                TempParameter_31.ParameterName = "provider_tin"
                TempParameter_31.DbType = DbType.String
                TempParameter_31.Direction = ParameterDirection.Input
                TempParameter_31.Size = 9
                TempParameter_31.Value = strtax_number
                .Parameters.Add(TempParameter_31)
                'Reversal Parms
                If rbExpenseLoss.Value = "optExpenseLoss" Then
                    Dim TempParameter_32 As SqlParameter
                    TempParameter_32 = .CreateParameter()
                    TempParameter_32.ParameterName = "reversal_check_type_loss"
                    TempParameter_32.DbType = DbType.String
                    TempParameter_32.Direction = ParameterDirection.Input
                    TempParameter_32.Size = 8
                    TempParameter_32.Value = "LOSS"
                    .Parameters.Add(TempParameter_32)
                    Dim TempParameter_33 As SqlParameter
                    TempParameter_33 = .CreateParameter()
                    TempParameter_33.ParameterName = "reversal_check_type_expense"
                    TempParameter_33.DbType = DbType.String
                    TempParameter_33.Direction = ParameterDirection.Input
                    TempParameter_33.Size = 8
                    TempParameter_33.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_33)
                ElseIf rbExpenseLoss.Value = "optLoss" Then
                    Dim TempParameter_34 As SqlParameter
                    TempParameter_34 = .CreateParameter()
                    TempParameter_34.ParameterName = "reversal_check_type_loss"
                    TempParameter_34.DbType = DbType.String
                    TempParameter_34.Direction = ParameterDirection.Input
                    TempParameter_34.Size = 8
                    TempParameter_34.Value = "LOSS"
                    .Parameters.Add(TempParameter_34)
                    Dim TempParameter_35 As SqlParameter
                    TempParameter_35 = .CreateParameter()
                    TempParameter_35.ParameterName = "reversal_check_type_expense"
                    TempParameter_35.DbType = DbType.String
                    TempParameter_35.Direction = ParameterDirection.Input
                    TempParameter_35.Size = 8
                    TempParameter_35.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_35)

                ElseIf rbExpenseLoss.Value = "optExpense" Then
                    Dim TempParameter_36 As SqlParameter
                    TempParameter_36 = .CreateParameter()
                    TempParameter_36.ParameterName = "reversal_check_type_loss"
                    TempParameter_36.DbType = DbType.String
                    TempParameter_36.Direction = ParameterDirection.Input
                    TempParameter_36.Size = 8
                    TempParameter_36.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_36)
                    Dim TempParameter_37 As SqlParameter
                    TempParameter_37 = .CreateParameter()
                    TempParameter_37.ParameterName = "reversal_check_type_expense"
                    TempParameter_37.DbType = DbType.String
                    TempParameter_37.Direction = ParameterDirection.Input
                    TempParameter_37.Size = 8
                    TempParameter_37.Value = "EXPENSE"
                    .Parameters.Add(TempParameter_37)
                Else
                    Dim TempParameter_38 As SqlParameter
                    TempParameter_38 = .CreateParameter()
                    TempParameter_38.ParameterName = "reversal_check_type_loss"
                    TempParameter_38.DbType = DbType.String
                    TempParameter_38.Direction = ParameterDirection.Input
                    TempParameter_38.Size = 8
                    TempParameter_38.Value = "NOTLOSS"
                    .Parameters.Add(TempParameter_38)
                    Dim TempParameter_39 As SqlParameter
                    TempParameter_39 = .CreateParameter()
                    TempParameter_39.ParameterName = "reversal_check_type_expense"
                    TempParameter_39.DbType = DbType.String
                    TempParameter_39.Direction = ParameterDirection.Input
                    TempParameter_39.Size = 8
                    TempParameter_39.Value = "NOTEXP"
                    .Parameters.Add(TempParameter_39)
                End If

                Dim TempParameter_40 As SqlParameter
                TempParameter_40 = .CreateParameter()
                TempParameter_40.ParameterName = "intMaxTotal"
                TempParameter_40.DbType = DbType.Int32
                TempParameter_40.Direction = ParameterDirection.Input
                TempParameter_40.Size = 4
                TempParameter_40.Value = 0 'CInt(txtRestrictThousands.Text) * 1000
                .Parameters.Add(TempParameter_40)

            End With

            Try
                Dim adap As SqlDataAdapter = New SqlDataAdapter(madoCommand)

                rsResultSet = New DataSet("dsl")
                adap.Fill(rsResultSet)
                Session("PLdataset") = rsResultSet
                madoCommand = Nothing
                ff_DeleteTempTable()

            Catch ex As Exception
                Dim innerException As New Exception("Callback2 - 1")
                Dim strError As String = ex.Message.ToString
                Throw New Exception(vbCrLf & "There was an error thrown in Callback1 - 1." & vbCrLf & vbCrLf & strError.ToString, innerException)
                Exit Sub

            End Try

        Catch ex As Exception
            Dim innerException As New Exception("Callback2 - 2")
            Dim strError As String = ex.Message.ToString
            Throw New Exception(vbCrLf & "There was an error thrown in Callback1 - 2." & vbCrLf & vbCrLf & strError.ToString, innerException)
            Exit Sub

        End Try
    End Sub

    Protected Sub lstRecoveryType_SelectedIndexChanged(sender As Object, e As EventArgs) Handles chkHelmsman.SelectedIndexChanged
        'Dim x As Integer = lstRecoveryType.CheckedIndices.Count
        'If x <= 0 Then
        '    lblSelected.Text = "0 Selected => All types included"
        'Else
        '    If x = 1 Then
        '        lblSelected.Text = "1 recovery type included"
        '    Else
        '        lblSelected.Text = CStr(x) & " recovery types included"
        '    End If
        'End If
    End Sub

    Private Sub Callback3_Callback(sender As Object, e As CallbackEventArgsBase) Handles Callback3.Callback
        Dim newWindow2 As New Window2()
        newWindow2.Show()
    End Sub
End Class